.;SETUP
.; Last edited 5-Dec-82 by C. Spalding
.;
.; NOTE:  This RNO file must be processed with RUNOFF version M3.0X.
.;
.; Settings for optional text segments
.;
.;	Select ONE of the following three options:
.;	    (otherwise changes to the table of contents are required)
.;
.include 1	! Operating procedures for RSX/IAS
.exclude 2	! Operating procedures for RSTS/E
.exclude 3	! Operating procedures for RT-11 (reserved for future use)
.;
.; INCLUDE or EXCLUDE each of the following options:
.;
.exclude 4	! Alternating output
.include 5	! Editing directions on first page in DOC file
.include 6	! Note on editing output file for RSX
.exclude 7	! Description of FIRST TITLE command
.;
.; End of option settings
.;
.; DOCUMENT SETUP
.;
.option 4		! Optionally alternate with 6-space offset
.alternate 6
.alternating title
.end option 4
.layout ,57,,72
.no header
.no number
.flags hyphenate
.paragraph 0,1,2
.;
.; The following lines are output to the DOC file if option 5 is selected
.;
.option 5
.no fill
.;
POST-EDITING TO BE DONE TO THE OUTPUT "DOC" FILE:

    1.	Pg. I-5			  Compare page numbers with CONTENTS;
					delete to bottom of the page
    2.	Pg. 1		 	  Delete the page
.;
.number 1	! Reset page number for correct even/odd alternating
.no number	! But don't number the pages yet
.page
.end option 5

.;TITLE PAGE
.figure 15

.center RUNOFF Documentation Preparation Program

.s 3

.center ,- User's Manual -

.s 18

.center Program Version:  M3.0X

.s

.center Program Revision#
.center ,5 December 1982

.s

.center Document Revision
.center ,5 December 1982

.;COPYRIGHT PAGE
.fill
.page
.figure 12
.c Copyright (c) 1982 by DECUS

.s 3

General permission to copy or modify, but not for profit, is hereby
granted provided that the above copyright notice is included and
reference is made to the fact that reproduction privileges were granted
by DECUS.

.s

The information in this document is subject to change without notice and
should not be construed as a commitment by the contributor(s), DECUS or
Digital Equipment Corporation.

.s

No warranty, expressed or implied, is made by the contributor(s), DECUS
or Digital Equipment Corporation as to the accuracy or functioning of
the software or related material, and no responsibility is assumed by
these parties in connection therewith.

.s

The described software is made available without any support whatsoever.
If you are responsible for implementation of this system, you should
expect to have to understand and modify the source code if you encounter
any problems in implementing or maintaining the software.

.s -3

DECUS, IAS, RSTS and RSX are trademarks of Digital Equipment Corp.

.;T of C
.header blank
.pg
.nf
.c TABLE OF CONTENTS



Chapter 1:  INTRODUCTION  . . . . . . . . . . . . . . . . . . . . .  1-1

	    1.1  Overview . . . . . . . . . . . . . . . . . . . . .  1-2

	    1.2  Notation . . . . . . . . . . . . . . . . . . . . .  1-2


Chapter 2:  INPUT FILE FORMAT . . . . . . . . . . . . . . . . . . .  2-1

	    2.1  Special Characters . . . . . . . . . . . . . . . .  2-2


Chapter 3:  RUNOFF COMMANDS . . . . . . . . . . . . . . . . . . . .  3-1

	    3.1  Command Syntax . . . . . . . . . . . . . . . . . .  3-1

		 3.1.1  Numeric Arguments . . . . . . . . . . . . .  3-1
		 3.1.2  Text Arguments  . . . . . . . . . . . . . .  3-2
		 3.1.3  Optional Arguments  . . . . . . . . . . . .  3-2
		 3.1.4  Initial and Default Values  . . . . . . . .  3-3

	    3.2  Page Format Commands . . . . . . . . . . . . . . .  3-3

	    3.3  Page Header Commands . . . . . . . . . . . . . . .  3-5

	    3.4  Pagination Commands  . . . . . . . . . . . . . . .  3-8

	    3.5  Mode Setting Commands  . . . . . . . . . . . . . . 3-11

	    3.6  Text Formatting Commands . . . . . . . . . . . . . 3-15

	    3.7  Deferred-Output Commands . . . . . . . . . . . . . 3-19

	    3.8  Index Processing Commands  . . . . . . . . . . . . 3-23

	    3.9  Optional-Input Commands  . . . . . . . . . . . . . 3-25


.option 1
Chapter 4:  RSX/IAS OPERATING PROCEDURES  . . . . . . . . . . . . .  4-1
.end option 1.option 2
Chapter 4:  RSTS/E OPERATING PROCEDURES . . . . . . . . . . . . . .  4-1
.end option 2.option 3
Chapter 4:  RT-11 OPERATING PROCEDURES  . . . . . . . . . . . . . .  4-1
.end option 3

	    4.1  Initiating RUNOFF  . . . . . . . . . . . . . . . .  4-1

	    4.2  RUNOFF Command String  . . . . . . . . . . . . . .  4-1

		 4.2.1  File Specifications . . . . . . . . . . . .  4-1

		 4.2.2  RUNOFF Switches . . . . . . . . . . . . . .  4-2


Appendix A:  RUNOFF ERROR MESSAGES  . . . . . . . . . . . . . . . .  A-1


Appendix B:  PAGE LAYOUT AND MARGIN CONTROL . . . . . . . . . . . .  B-1

	     B.1  Vertical Positioning  . . . . . . . . . . . . . .  B-1

	     B.2  Horizontal Positioning  . . . . . . . . . . . . .  B-1


Appendix C:  CASE INFORMATION . . . . . . . . . . . . . . . . . . .  C-1


Appendix D:  SPECIAL CHARACTERS . . . . . . . . . . . . . . . . . .  D-1


Appendix E:  INITIAL PARAMETER AND MODE SETTINGS  . . . . . . . . .  E-1


Appendix F:  ALPHABETICAL LIST OF COMMANDS  . . . . . . . . . . . .  F-1


INDEX . . . . . . . . . . . . . . . . . . . . . . . . . . . . .  Index-1
.f

.;INTRODUCTION
.header blank
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.number
.chapter INTRODUCTION
.x ~>C1 INTRODUCTION

RUNOFF#(RNO) is a program to facilitate the preparation of typed or
printed manuscripts, such as memos, manuals, etc.  To use RUNOFF, the
user prepares his material on any regular terminal, writing it onto a
file using a text editor.  The user includes not only the textual
=material of the document, but also instructions to RUNOFF which
determine how the information will appear in the final manuscript.
RUNOFF takes the file and reproduces it onto the line printer, the
terminal or another file to produce a final copy or final file image.
In the process RUNOFF follows the user instructions embedded in the
file, performing such formatting actions as line justification, page
numbering and titling, etc.  RUNOFF can also perform additional
functions such as =compilation of an index.

.s

The principal benefit of such a program is that documents prepared with
it may be easily edited and corrected.  Small or large amounts of text
may be added or deleted, and unchanged material need not be retyped.
After a set of changes, RUNOFF may be run to produce a new output copy
which is properly formatted and paginated.  Documentation may thus be
updated as necessary without requiring extensive retyping or editing.

.s

Briefly, the procedure for producing a manuscript using RUNOFF is as
follows:

.list
.le Use a text editor to compose the input file, including
commands to RUNOFF to control the format of the final manuscript.

.le Apply RUNOFF to the input file, producing an output document.

.le Review the output document for anything which doesn't satisfy you.
For example, you can scan the output file with the same text editor
that was used to create the input file, or the =document can be printed
for review.

.le If necessary, edit the ^&input\& file to change the text and RUNOFF
commands.

.le Repeat the above sequence of steps as required to achieve the
desired manuscript.
.end list 0

.st Overview
.hl 1 ^&OVERVIEW\&
.x ~>C1.1 Overview
.x Overview

The next chapter describes the format of the input file(s) read by
=RUNOFF to create the desired output document file.  Certain characters
which have special significance to RUNOFF are explained.

.p ,,2,5

Chapter 3 describes all the RUNOFF commands in detail.  The final chapter
explains how to use RUNOFF to process input files into formatted document
files.  That includes the use of command-line switches to control the
operation of RUNOFF in ways which may override commands in the input
file(s).

.s

The appendices include

.list 1,o

.le A complete list of the messages output by RUNOFF to the user's terminal

.le A discussion of the provisions for controlling the page layout and
margins of the output document

.le A description of how case information can be specified with a
terminal capable of only uppercase operation

.le A review of the characters with special meaning to RUNOFF

.le A list of the initial conditions in effect when RUNOFF execution begins

.le A complete list of all RUNOFF commands and their abbreviations

.end list 0

.hl 1 ^&NOTATION\&
.x ~>C1.2 Notation
.x Notation
.x Angle brackets

Two shortened notations are used in this manual.  Angle brackets (<#>)
are used to enclose an item which describes the actual argument to
appear.  Thus the user can supply the appropriate item in that position
when entering the command.  Note that these brackets are used in this
manual only for clarification and are ^&never\& to be included as part
of a command.

.p ,,5
.x Brackets
.x Square brackets
.y Arguments
.x Arguments>optional
.y Optional
.x Optional>command arguments

Many RUNOFF commands have optional arguments.  In the descriptions in
this manual, optional arguments are enclosed in square brackets ([#]).
Once again, the square brackets are never included when a command is
used.

.;INPUT FILE
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.chapter INPUT FILE FORMAT
.x ~>C2 INPUT FILE FORMAT
.y Input
.x Input>file format
.x Source file format

As mentioned above, the input or source file contains the textual
=material which will appear in the final copy, plus information to
specify formatting.  Case-control information also may be supplied so
that copy can be prepared on a terminal or other such device which can
input only uppercase letters (see Appendix C).  All command information
consists of regular ASCII printing characters so that a listing of the
input file may be examined if the final copy is not =exactly as desired.

.s
.x Command>line
.x Period character
.x #_.  (command character)

All material in the input file is taken to be source text except those
lines with a period in column one.  A line beginning with a period is
assumed to contain command information to RUNOFF.  The commands must be
among those listed in Chapter 3.  The commands provide the formatting
information, and control various modes of operation.

.s
.x Filling of text
.x Justification of text

Usually the text is filled and justified as it is processed.  That is,
the program fills each line by adding successive words from the source
text until one more word would cause the text right margin to be
exceeded.  The line is then justified by making the word spacings larger
until the last word in the line exactly meets the text right margin.

.s
.x Hyphenation

If desired, the last word on a line can automatically be hyphenated if
that will help make the filling more even.  You should be aware,
however, that RUNOFF's hyphenation algorithm is not perfect.  If you
want the output document to be correctly literate, you should review all
the hyphenations introduced by RUNOFF to make sure they are correct.
There is a special character which can be used to either disable
hyphenation of a specific word, or to specify where a word should be
hyphenated if a break is needed.  This control must be applied to every
word not handled correctly by RUNOFF, which is admittedly inconvenient.
The added control characters are transparent, however, so once they are
put into the input file they need not be removed if the text changes and
an affected word moves away from the margin.

.s
.x Literals

The user may occasionally wish to reproduce the source text exactly,
which is done by disabling filling and justification or by use of the
LITERAL command.  The program may be set to fill but not justify, in
which case the output will be normal except that lines will not be
=justified to the text right margin.

.s
.x Space
.y Word
.x Word>spacing

When fill mode is on, spaces, and carriage returns occurring in the
input text are treated only as word separators.  Multiple separators
are treated as one separator.  Thus, material in the input can be
entered without concern for its appearance and RUNOFF will take care
of making the output document tidy.

.s
.x Break

Some of the commands cause a "break" in the output.  A break means that
the current line is output without justification, and the next word goes
at the beginning of the next line.  For example, this occurs at the end
of paragraphs.

.p ,,2,4
.y Page
.x Page>numbering
.x Title

The program will advance to new pages as necessary, placing the title
(if given) and the page number at the top of each page.  The user may
call explicitly for a page advance where desired, and may inhibit the
occurrence of a page advance within specified material.

.p ,,2,4

This manual was prepared with RUNOFF, so you can get an idea how things
are formatted by looking at its input file.  For example, the page and
chapter headings, page numbering, footnotes, notes within the text,
lists, the index, etc.#were all produced with RUNOFF commands.

.st Special Characters
.tp 9
.hl 1 ^&SPECIAL CHARACTERS\&
.x ~>C2.1 Special Characters
.x Special characters

The following characters have special interpretations whenever they are
encountered in an input file.  This must always be kept in mind because
it is sometimes desired to have these characters appear in the output.
The first special character described below is used to achieve that.

.lm +5.p -5,1,4
__##Underbar#######Quote next character *

.footnote 5
.s
*##The #QUOTE CHARACTER# command can be used to change the character
used as the quote character.  This is useful in certain special cases.
If the quote character is changed, the new quote character becomes a
"special character" and the underbar character ceases to be one.
!

.x Underbar character
.x #__  (quote character)
.x Quote character
.s

To allow the appearance of the special characters in the output, the
underbar character ("__"#[137#octal]) is used as a quote character.  That
is, the character immediately following an underbar will be transmitted
to the output with no formatting effect.  The underbar itself is thus
another case requiring quoting.  The following cases can occur:  "____",
"___&", "___#", "___^", "___\", "___=", "___<" and "___>".

.p -5,,4
_###Number Sign####Explicit space
.x Number-sign character
.x #_#  (explicit-space character)
.x Space
.x Explicit space
.x Quoted space
.s

It is occasionally necessary to include spaces in the text which
should not be treated as word separators.  For this purpose, RUNOFF
treats the number-sign character ("_#"#[43#octal]) as a quoted space.
That is, it will print as exactly one space in the output and will
never be expanded nor changed to a carriage return.  To have a
number sign appear in the printed text, it must be preceded by the
quote character ("___#").

.p -5,,4
_&##Ampersand######Underscoring
.x Ampersand character
.x #_&  (underscore character)
.x Underlining
.s

The ampersand character ("_&"#[046#octal]) is used to specify
underscoring.  The ampersand will cause the character following it
to be underlined; for example, "_&f_&o_&o" becomes "^&foo\&".

.s

Underlining of a string of characters can also be specified in a
manner similar to that of a shift-lock operation.  An appearance
of ampersand preceded by circumflex ("_^_&") will cause underlining
of all following characters except tab, space and underbar.  An
appearance of ampersand preceded by backslash ("_\_&") will disable
this mode.

.s

To have an ampersand appear in the printed text, it must be
=preceded by the quote character ("___&").

.p -5,,4,7,3
_^##Circumflex#####Upper-case shift or mode lock
.x Carat character
.x Circumflex character
.x #_^  (shift character)
.x Shift lock
.y Mode
.x Mode>lock
.s

The circumflex character ("_^"#[136#octal]) is used to convert the letter
following to uppercase (see Appendix C).  It is also used to lock the
case mode in uppercase, and the underline mode to "underline all text."
If it is to appear in the printed text, a circumflex must be preceded
by the quote character ("___^").

.p -5,,4
_\##Backslash######Lower-case shift or mode unlock
.x Backslash character
.x #_\  (unlock character)
.x Shift lock
.x Mode>unlock
.s

The backslash character ("_\"#[134#octal]) is used to output the letter
following in lowercase (see Appendix C).  It is also used to lock
the case mode in lowercase, and to disable underlining.  If it is
to appear in the printed text, a backslash must be preceded by the
quote character ("___\").

.p -5,,4
_=##Equal sign#####Hyphenation disable/specification
.x Equal-sign character
.x #_=  (hyphenation flag character)
.x Word>hyphenation
.x Hyphenation>disable/specification
.x Preferred hyphenation
.s

If a #FLAGS HYPHENATE# command has been issued, the equal-sign
character ("_="#[75#octal]) takes on two functions intended to allow
overriding of =RUNOFF's hyphenation algorithm.  If an equal sign
precedes a word, hyphenation is disabled for the word.  If an equal
sign is embedded within a word, it specifies a point at which the
word should be hyphenated if necessary.  In the latter case, the word
will be hyphen=ated only at such marked points, or at explicit
hyphens in the input.

.p 0,,3

If a #FLAGS HYPHENATE# command has been issued and an equal sign is
to appear in the printed text, it must be preceded by the quote
character ("___=").

.p -5,,4,6,2
_<##Less than######Capitalize next word
.x Less-than character
.x #_<  (capitalization character)
.x Word>capitalization
.x Capitalize word
.s

If a #FLAGS#CAPITALIZE# command has been issued, the less-than
character ("_<"#[74#octal]) is used to capitalize the entire word
it precedes.  Then, if it is to appear in the printed text, a
less-than character must be preceded by the quote character ("___<").

.p -5,,4
_>##Greater than###Subindex next word
.x Greater-than character
.x #_>  (subindex flag character)
.x Subindex>flag character
.s

If #FLAGS#SUBINDEX# is in effect (the initial condition), the
greater-than character ("_>"#[76#octal]) is a special character
used in #ENTRY or INDEX# commands to indicate that the following
text is to be entered in the index as a subentry under the text
preceding the greater-than character.

.p 0,,2

Unlike the other special characters above, the greater-than
character can appear in the text without having to use the quote
character.  In order to have a greater-than character appear in the
index, however, one must disable it as a special character with the
NO FLAGS SUBINDEX# command, or precede the greater-than character
with the quote character ("___>").

.lm -5.rm

.;COMMANDS
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.chapter RUNOFF COMMANDS
.x ~>C3 RUNOFF COMMANDS
.x RUNOFF commands
.x Period character
.x #_.  (command character)

The commands described in this chapter will be recognized if they are in
a command line.  Any line in the input file with a period in column one
is assumed to be a command line.  If a command line is found to contain
an invalid command, an error message will be displayed on the user's
ter=minal and ^&the remainder of that command line will be ignored\&.

.st Syntax
.hl 1 ^&COMMAND SYNTAX\&
.x ~>C3.1 Command Syntax
.x Command>syntax
.x Syntax, command

Commands can be entered in either uppercase or lowercase (for clarity,
all commands are shown in uppercase in this manual).  Multi-word command
names may appear either spaced out or compressed.  Thus, for example,
both "PAGE#SIZE" and "PAGESIZE" are legal.  When spaced out, command
words can be separated by one or more spaces and/or tabs.  Many commands
may be abbreviated.  Acceptable abbreviations are shown along with the
commands in this chapter.

.s

In general, more than one command may be entered on a single command
line.  However, those commands which accept a text argument must be the
last command on a line.  If multiple commands are on a line, each
command must begin with a period.  Semicolons may optionally be used
to further separate commands.

.s

Some commands take one or more arguments.  These are separated from the
command name by one or more spaces and/or tabs.  If a command can have
multiple arguments, the arguments can generally be separated by commas,
spaces or tabs.  (For clarity, commas are used to separate arguments in
the command descriptions and examples in this manual.)

.hl 2 Numeric Arguments
.x ~>C3.1.1 Numeric Arguments
.x Numeric arguments
.x Relative arguments
.x Arguments>numeric
.x Arguments>relative

Numeric arguments are always considered to be decimal values.  Some
commands accept signed numeric arguments.  In most cases such signed
values are used to modify the current value for the corresponding
parameter.  For example, ".LEFT MARGIN 5" would set the left margin to
five spaces from the left edge of the page, but ".LEFT MARGIN +5" would
move the left margin five spaces to the right from its position at the
time.

.p ,,9
.x Relative arguments
.x Arguments>relative

The following commands will accept relative numeric arguments:

.p ,,7
.c ALTERNATE                   NUMBER      #
.c AUTOSUBTITLE                PAGE SIZE   #
.c CENTER (CENTRE)             PAPER SIZE  #
.c HEADER                      RIGHT JUSTIFY
.c HEADER LEVEL                RIGHT MARGIN#
.c LAYOUT                      STANDARD    #
.c LEFT MARGIN                 TAB STOPS   #

.hl 2 Text Arguments
.x ~>C3.1.2 Text Arguments
.y Text
.x Text>arguments
.x Arguments>text

Several RUNOFF commands take a text argument.  For example, the TITLE
command takes the text string to be used for the title in page headers.
The text argument is assumed to begin with the first non-blank character
after the command name.  Commands which take a text argument cannot be
followed by any other command on the same line because the remainder of
the line is taken to be the text argument.

.s

There are several commands which take a numeric argument and a text
=argument (e.g., the CENTER command).  A semicolon can be used to
separate the numeric argument from the text argument, in which case the
text =argument starts immediately after the semicolon.  Otherwise, all
spaces and tabs between the arguments are ignored.  Some commands allow
the text argument to be placed on the line after the command line--if
that is done, a semicolon cannot be used and a comma is not needed.

.hl 2 Optional Arguments
.x ~>C3.1.3 Optional Arguments
.x Arguments>optional
.x Optional>command arguments
.x Commas

Many RUNOFF commands will assume a default value for an argument which
is omitted.  Thus those arguments are optional.  (Recall that optional
arguments are shown enclosed in brackets in this manual.) If an optional
argument is omitted, and a subsequent argument for the command is
=explicitly specified, commas must be provided as required to properly
position the arguments.  For example, the LAYOUT command has the =syntax

.s
.c _.LAYOUT [<top>],[<length>],[<left base>],[<width>]
.s

If only the second and third arguments are to be specified (i.e., the
defaults are acceptable for the others), the command can be entered as

.s
.c _.LAYOUT ,54,10
.s

Note that a leading comma must be included to properly position the
=second argument, and no comma is needed after the third argument since
no more arguments follow.

.p ,,2,4,2

For commands which take a numeric argument and a text argument: if the
numeric argument is optional and is omitted, a comma or semicolon must
be used to set off the text only if it begins with a number or sign
(i.e., when it could be confused for the numeric argument).

.hl 2 Initial and Default Values
.x ~>C3.1.4 Initial and Default Values
.y Values
.x Values>default
.x Values>initial
.x Default values
.x Initial settings

^&Initial values\& are assumed for all parameters whenever RUNOFF
execution begins.  Those values are noted in the descriptions of the
commands in this chapter and are summarized in Appendix E.

.s

A ^&default value\& is assumed whenever an optional argument is omitted
from a command.  The individual command descriptions describe the
default value assumed for each optional argument.

.;PAGE FORMAT
.st Page Format
.tp 12
.hl 1 ^&PAGE FORMAT COMMANDS\&
.x ~>C3.2 Page Format Commands
.x Page>format
.x Parameter setting
.y Commands
.x Commands>page format
.x Commands>parameter setting

The following commands are used to set the values of parameters
used by RUNOFF while formatting the output document.

.lm +5
.p -5,2,6
_.LAYOUT [<top>],[<length>],[<left base>],[<width>]
.x LAYOUT command
.x Format, page
.x Page>format
.x Page>length
.x Length>page
.x Margin>text
.y Width
.x Width>page
.s

Sets several parameters for the page layout.  The parameters are:

.lm +14
.p -11,1,2

Top########The number of blank lines to be output at the top of every
page before the page header, or text if headers are disabled.

.p

Length#####The total number of lines to be on each page (not counting
"top").

.p

Left#base##The base column from which LEFT MARGIN, RIGHT MARGIN and TAB
STOP settings are to be made.

.p ,,1

Width######The default right margin to be used.

.lm -14
.p 0,1,2

The initial settings are 0, 56, 0, and 60, respectively.  If any
par=ameter is omitted, it remains unchanged.

.p ,,2,4

This command also sets the right margins for the text and page
headers (see the HEADER command) if the "width" argument is given.
That is, the respective right margins are set to <width> if a value
is =present, otherwise the right margins are not affected.

.s

See Appendix B for a complete description of page layout and =margins.

.p -5,,7
_.PAGE SIZE [<lines>],[<columns>]
.rj _.PS [<lines>],[<columns>]
.i -5 _.PAPER SIZE [<lines>],[<columns>]
.x PAPER SIZE command
.x PAGE SIZE command
.x Page>length
.x Length>page
.x Margin>text
.x Width>page
.s

Sets the size of pages to <lines> lines by <columns> columns and
sets the header and text right margins to <columns>.  The initial
settings are 56,60 and the defaults are the current page length and
header right margin, respectively.  Also see the /PA switch.  (See
Appendix B for a further explanation.)

.p -5,,6
_.SPACING <number>
.rj _.SP <number>
.x SPACING command
.s

Sets the line spacing.  The number can range from 1 to 5, the
=initial setting is 1.  SPACING#1# is like single spacing on a
type=writer and #SPACING#2# is like double spacing.  That is,
=SPACING#2 puts one blank line between lines of text.

.p -5,,5
_.LEFT MARGIN [<number>]
.rj _.LM [<number>]
.x LEFT MARGIN command
.x Margin>text
.s

Sets the text left margin to <number> columns from the base margin
set by the LAYOUT command.  If "number" has a sign, it is
interpreted as a relative change to the current left margin.  The
result must be less than the text right margin but not less than
0.  The initial setting and the =default are both 0.  (See
Appendix B for a further description of text margins.)

.p -5,,4
_.RIGHT MARGIN [<number>]
.rj _.RM [<number>]
.x RIGHT MARGIN command
.x Margin>text
.x Width>text
.s

Sets the text right margin to <number> columns from the base
margin set by a LAYOUT command.  If "number" has a sign, it is
interpreted as a relative change to the current right margin.  The
result must be greater than the text left margin.  The initial
setting is 60; the default is the current width set by a LAYOUT or
PAGE SIZE command.  (See Appendix B for a further description of
text margins.)

.p -5,,7
_.TAB STOPS [<n1>],[<n2>],...
.rj _.TS [<n1>],[<n2>],...
.x TAB STOPS command
.s

Sets up to 32 tab stops.  The numbers must be greater than 0 and
listed in ascending order.  The TAB STOPS command clears all
existing tabs before setting new ones.  The initial tabs are set at
eight-column intervals to match the hardware standard.  These tabs
are at columns 8, 16, 24, 32, 40, 48, _..., 128, and 136.

.p 0,,2,5,2

Tab characters in the input are converted to the appropriate number
of non-expandable spaces.  If there are no space characters to the
left of tab characters, they will print out at the appropriate
=position, even if FILL is on.  If LITERAL is on, tabs are not
=converted to spaces, but are output as tab characters.

.p 0,,2,5,2

Tab stops are set relative to the "left base" (see the LAYOUT
command) and are independent of the left margin.  Any tabs which
are less than the left margin will not be seen.  If a tab appears
at a point where no further tab stops have been set on the line,
the tab will be treated as though it had been a space.

.p 0,,3

An error message is output if an attempt is made to set more than
32 stops, or if a value is not in ascending order.  In either case,
the tab stops up to the cause of the error ^&are\& set.

.p -5,,6
_.STANDARD [<number>]
.rj _.SD [<number>]
.x STANDARD command
.x Margin>header
.x Margin>text
.s

Returns parameters to their initial settings and sets the header
and text right margins to <number> (the default is the current
width set by a LAYOUT command).  For example, if STANDARD#72 is
specified, parameters are reset as follows:  HEADER length 5, left
margin 0, right margin 72; LAYOUT 0,56,0,72; SPACING 1; LEFT MARGIN
0; RIGHT MARGIN 72; TAB STOPS 8,16,24,...,136; PARAGRAPH indent 5,
skip 1, test 2;  LIST skip 1; LIST ELEMENT test 1.  Also, FILL and
JUSTIFY are enabled.

.p 0,,2

This command is useful if settings are changed and it becomes
=necessary to reinitialize the standard format.

.;PAGE HEADER
.lm -5
.st Page Header
.tp 12
.hl 1 ^&PAGE HEADER COMMANDS\&
.x ~>C3.3 Page Header Commands
.x Page>header
.x Commands>page header

The following commands can be used to control the appearance of a
header at the top of each page of the output document.

.lm +5
.p -5,2,6
_.HEADER [<style>],[<length>],[<left>],[<right>]
.s
.rj _.HD [<style>],[<length>],[<left>],[<right>]
.x HEADER command
.x Page>header
.x Length>header
.x Width>header
.y Margin
.x Margin>header
.x Title
.s

Turns on the printing of a page header on each page (title,
sub=title and page number) and sets how the word "page" will be
printed.  The "style" argument should be "MIXED" to specify "Page",
"UPPER" for "PAGE", "LOWER" for "page", or "BLANK" to have the word
suppressed.  The initial setting is HEADER MIXED, and MIXED is the
default if no style is provided.

.p 0,1,2

This command also sets the size of page headers.  The last three
arguments have the following meanings:  (1) "length" is the number
of lines in the page header; (2) "left" and (3) "right" are
the header left and right margins, respectively.  The initial
=values are 5, 0, and 60, respectively, and omitted arguments are
not changed from their value at the time the command is processed.

.s

See Appendix B for a complete description of page layout and =margins.

.p -5,,5
_.NO HEADER
.rj _.NHD
.x NO HEADER command
.s

Causes the page header (title, subtitle, and page number) to be
=omitted.  The header lines are completely omitted, so that text
=begins at the top of the page.

.p 0,,2

If no header is wanted on the first page of the output, this command
must appear in the input file before the first text (or blank) line.

.p -5,,7
_.TITLE [<text>]
.rj _.T [<text>]
.x TITLE command
.x Page>header
.s

Takes the remaining text as the title for output in page headers on
the top line.  The default is no title.  (Note, however, that the
title is set by the CHAPTER, APPENDIX and DO#INDEX commands.)  A
previously set title can be cancelled by using this command with no
text.  The title can be up to 80 characters long.

.p 0,,2

If a title is desired on the first page of the output, this command
must appear in the input file before the first text (or blank)
line.  If a title is to be set, but should not appear on the first
page, there must be at least one non-command line in the input
ahead of the TITLE command.  This can be satisfied with a blank
line.

.option -7	! Include the following if "EXCLUDE 7"

.p 0,,3

Earlier versions of RUNOFF had a FIRST TITLE command for setting a
title to appear on the first page of the output.  That command has
been eliminated--use the above method to obtain that result.

.else -7	! Include the following if "INCLUDE 7"

.p -5,,6
_.FIRST TITLE <text>
.rj _.FT <text>
.x FIRST TITLE command
.x Page>header
.x Title
.s

Same as TITLE, but used to specify the title to be printed on the
first page of the document.  This command must precede all text in
the input file.  Use of the FIRST TITLE command is the only way to
print a title line on the first page of the document.

.end option -7

.p -5,,5
_.SUBTITLE [<text>]
.rj _.SUBTTL [<text>]
.rj _.ST [<text>]
.x SUBTITLE command
.x Page>header
.x Subtitle
.x Title
.x AUTOSUBTITLE command
.s

Takes the remaining text as the subtitle for output in page
headers.  It appears directly under the title unless #ALTERNATING
TITLE# is in effect (see below).  The subtitle is not indented, but
indentation can be achieved by using leading explicit spaces ("_#").
A pre=viously set subtitle can be cancelled by using this command
with no text.  Note that the subtitle will be set by #HEADER#LEVEL
commands if =AUTOSUBTITLE# is active (see below).  The subtitle can
be up to 80 characters long.

.p 0,,2

See the description of the TITLE command for rules regarding the
appearance of titles on the first page of the output.

.p -5,,8
_.AUTOSUBTITLE [<level>]
.rj _.AS [<level>]
.x AUTOSUBTITLE command
.x HEADER LEVEL command
.x Subtitle
.s

Controls the automatic setting of the subtitle when HEADER#LEVEL
commands are processed.  This feature is disabled when "level" is
zero (the initial setting).  A nonzero value causes the subtitle to
be set to the HEADER#LEVEL text for all levels up to and including
the specified level (the default is 1).  (Note that the subtitle
will not be output properly if the text is underlined.)

.p -5,,5
_.PAGE NAME [<text>]
.rj _.PN [<text>]
.x PAGE NAME command
.x Page>name
.x Page>header
.s

Takes the remaining text as a string to be output as a prefix to
the page number on subsequent pages.  It appears after the word
"Page" (unless it is suppressed by a HEADER#BLANK...#command) and
is separated from the page number by a hyphen ("-").  A previously
set page name can be cancelled by using this command with no text.
The page name can be up to 40 characters long.

.p 0,,3

Note that the page name appears in place of a chapter number or
=appendix letter on page headers, but the page name does not appear
in index references.

.p -5,,5
_.ALTERNATE [<offset>]
.rj _.AL [<offset>]
.x ALTERNATE command
.x Page>header
.x Title
.s

Establishes alternating left/right printing of page headings, with
even-numbered pages having the page number at the header left
margin and the title(s) at the header right margin.  If an offset
is specified, odd-numbered pages will be shifted to the right
<offset> spaces, otherwise no offset occurs.  Also see the /AL switch.

.s

This command should be used if the output is to be reproduced on
both sides of the document pages.

.p -5,,4
_.NO ALTERNATE
.rj _.NAL
.x NO ALTERNATE command
.x Page>header
.x Title
.s

Causes the page header to always have the title(s) at the header
left margin and the page number at the header right margin (initial
setting).  This commmand overrides #ALTERNATING TITLE# (see below).

.p -5,,5
_.ALTERNATING TITLE
.rj _.AT
.x ALTERNATING TITLE command
.x Page>header
.x Title
.x Subtitle
.s

When #ALTERNATE# is active (see the commands above and the
/AL switch), this command causes the title to be output on
even-numbered pages and the subtitle to be output on the ^&first\&
line of odd-numbered pages.

.s

An error message is produced if this command is encountered while
ALTERNATE# is not active.

.p -5,,5
_.NO ALTERNATING TITLE
.rj _.NAT
.x NO ALTERNATING TITLE command
.x Page>header
.x Subtitle
.x Title
.s

Disables #ALTERNATING#TITLE# (the initial setting).  That is, this
command causes the page headers to always have the title on the
first line and the subtitle on the second line.

.;PAGING
.lm -5
.st Pagination
.tp 12
.hl 1 ^&PAGINATION COMMANDS\&
.x ~>C3.4 Pagination Commands
.x Pagination
.x Paging
.x Page>breaking
.x Commands>pagination

These commands control the pagination and page numbering of the output
document.

.lm +5
.p -5,2,6
_.PAGE
.rj _.PG
.x PAGE command
.x Page>numbering
.s

Causes a BREAK and an advance to a new page.  If the current page
is empty, however, this command does not advance the page.  Just
like an automatic page advance, this command outputs the title(s)
(if given) and page numbers on the new page unless NO#HEADER has been
specified.  If CHAPTER commands are used to start each chapter, the
page numbers will have the form "c-p" where "c" is the chapter
=number and "p" is the number of the page within the chapter.  If
CHAPTER commands are not used, page numbering is continuous
=throughout the document.

.p -5,1,7
_.TEST PAGE <start>,[<block>],[<end>]
.rj _.TP <start>,[<block>],[<end>]
.x TEST PAGE command
.s

Causes a BREAK followed by a conditional page advance.  A new page
is started if fewer than <start> lines of text will fit on the
current page, taking the current line SPACING into consideration.
This capability is to ensure that the following <start> lines are
all output on the same page.  (This function can also be achieved
with the optional argument "test" to the PARAGRAPH =command.)

.s

If <start> text lines will fit on the current page, but <block>
text lines will not, then a new page is started at the point which
will ensure that <end> lines appear together on the next page.  If
<block> is omitted, <end> is ignored and the secondary test is not
performed.  If <block> is provided, but <end> is omitted, <end>
defaults to <start>.  An error message results if <block> is less
than <start>#+#<end>.

.s

Note that "block" is meant to be the number of lines in the ^&output\&.
Thus, the value used may have to be revised after reviewing a draft
of the output.

.p -5,,4,6,2
_.TEST LINES <start>,[<block>],[<end>]
.rj _.TL <start>,[<block>],[<end>]
.x TEST LINES command
.s

Acts like the TEST PAGE command above, except that the parameters are
interpreted as numbers of lines in the output ^&without\& regard for
the current line SPACING.  This is useful, for example, before starting
a LITERAL section when the SPACING is larger than one.

.s

Note that when the SPACING is set to one, TEST#LINES and TEST#PAGE
are equivalent.

.p -5,,7
_.SUBPAGE
.x SUBPAGE command
.s

Executes a #PAGE# and initiates special page numbering in which the
page number remains fixed and an incremented letter is appended to
the page number on each page.  Page numbering continues in this way
until subpage numbering is terminated by one of the following
=commands:  END SUBPAGE, CHAPTER, APPENDIX, or DO INDEX.

.p 0,,2

This permits insertion of additional pages within a document
without changing the existing page numbering.  Up to 26 consecutive
subpages (A-Z) may be inserted in this way.  Beyond that number,
the pages will be numbered with the ASCII characters which follow
"Z" (i.e., "[", "_\", "]", ...)#without any warning.

.p 0,,3

Note that if there is a #FIGURE# pending when subpage numbering is
begun, the figure space will be allocated on the subpage.  Also,
the subpage letter is not recorded with index entries.

.p -5,,4
_.END SUBPAGE
.x END SUBPAGE command
.s

Disengages subpage numbering by executing a PAGE command with
=normal page numbering resumed.

.p -5,,6
_.NUMBER [<number>]
.rj _.NM [<number>]
.x NUMBER command
.x Page>numbering
.y Numbering
.x Numbering>pages
.s

Starts page numbering.  This is the default so there is no reason
to issue this command unless page numbering has been disengaged.
If resumption of page numbering is desired with a certain page
number, specify the number desired on the ^&next\& output page.

.p -5,,5
_.NO NUMBER
.rj _.NNM
.x NO NUMBER command
.s

Disengages the output of page numbers.  However, pages continue to
be counted, so that the normal page number will appear if page
=numbering is resumed with a NUMBER command with no argument.

.p -5,,8
_.CHAPTER <text>
.rj _.CH <text>
.x CHAPTER command
.x Page>header
.x Title
.x Subtitle
.y Chapter
.x Chapter>heading
.s

Starts a new chapter using the text as the title of the chapter.
This command acts as if the following command string were entered:

.p 0,,3
.c _.NO HEADER .NUMBER 1 .SPACING 1 .TITLE      #
.c _.LEFT MARGIN .RIGHT MARGIN .JUSTIFY .SUBTITLE
.c _.PAGE .BLANK <lines> .CENTER CHAPTER <number>
.p 0,,2,4,2

where <lines> is 7 unless a different value is supplied with the
/BL command-line switch.  The chapter number is automatically
=incremented by 1.  After the output of "CHAPTER#<number>", the
=following commands occur:

.p 0,,3
.c _.BLANK 2 .CENTER <text>
.c _.BLANK 4 .TITLE <text>#
.c _.HEADER <previous mode>
.p 0,,2

Note that as a result of this command FILL and JUSTIFY are turned
on, the margin and spacing parameters are reset to the default
=values, the title is set to the chapter title, the subtitle is
cleared, and page numbering is enabled.  Subsequent page numbers
will have the format <chapter>-<page>.

.s

If there are any pending FIGURE commands when the CHAPTER command
is processed, all pending figures are processed before the new
chapter is begun.

.p -5,,4,10,2
_.NUMBER CHAPTER <number>
.x NUMBER CHAPTER command
.x Chapter>numbering
.x Numbering>chapters
.x Page>numbering
.s

Supplies a number to be used in a subsequent CHAPTER command.
NUMBER#CHAPTER would be used, for example, when a chapter of a
=document occupies an input file of its own.  In such a case,
NUMBER#CHAPTER should occur before the first CHAPTER command of
the input file.  The chapter number provided must be in the range
of 1-127, inclusive.  (The effect of this command is to set the
current chapter number to <number>-1.  Note that pages are
numbered with =<chapter>-<page># whenever <chapter> is nonzero.)

.p -5,,8
_.APPENDIX <text>
.rj _.AX <text>
.x APPENDIX command
.y Appendix
.x Appendix>heading
.x Title
.s

Starts a new appendix using the text as the title of the appendix.
This command acts just like the CHAPTER command, except that
="APPENDIX =<letter>" is output in place of "CHAPTER#<number>" and
page are numbered as <letter>-<page>.  The letter is automatically
incremented alphabetically.

.p -5,,4
_.NUMBER APPENDIX <letter>
.x NUMBER APPENDIX command
.x Appendix>numbering
.x Numbering>appendices
.x Page>numbering
.s

Supplies a letter to be used in a subsequent APPENDIX command.
NUMBER#APPENDIX would be used, for example, when an appendix of a
document occupies an input file of its own.  In such a case,
=NUMBER#APPENDIX should occur before the first APPENDIX command of
the input file.  The letter provided must be in the range of A-Z,
inclusive.  (This command sets the current appendix letter to
=<letter>-1.  Note that pages are numbered with <letter>-<number>
whenever <letter> is greater than or equal to "A".)


.p -5,,6
_.EVEN [<lines>],[<text>]
.x EVEN command
.s

Ensures that the page number is an even number by invoking the
=following commands if the current page number is odd:

.s
.c _.PAGE .BLANK <lines> .CENTER <text>
.p 0,,2,7,2

If <lines> is omitted, the number of blank lines which precede
chapter headings will be output (see the CHAPTER command and the
/BL switch).  If the page number is already even, no action is
taken.  Also, this command is ignored if a /-AL switch was
specified in the command line.  Note that the EVEN command does not
=affect the title or subtitle.  Any pending figures are processed
before the new page is begun.

.p 0,,2

As an example, to ensure that a section begins on an odd-numbered
page (e.g., for two-sided printing), one can use the commands

.p 0,,2
.c _.EVEN (This page intentionally left blank.)
.c _.PAGE                                     #

.p -5,,4
_.ODD [<lines>],[<text>]
.x ODD command
.s

Similar to the EVEN command except that the action occurs only if
the current page number is even.  That is, the page number is forced
to be an odd number.

.;MODE SETTING
.lm -5
.st Mode Setting
.tp 12
.hl 1 ^&MODE SETTING COMMANDS\&
.x ~>C3.5 Mode Setting Commands
.x Mode>setting
.x Commands>mode setting

These commands establish the status of several operational modes
within RUNOFF.

.lm +5
.p -5,2,10
_.FILL
.rj _.F
.x FILL command
.s

Causes a BREAK and specifies that subsequent output lines are to be filled
(initial setting).  Sets the justification mode to be that specified by
the last appearance of JUSTIFY or NOJUSTIFY.  Filling adds =successive
words from the source text until the adding of one more word would
exceed the right margin.  If hyphenation has not been disabled, RUNOFF
will attempt to hyphenate words which cause line overflow.

.p -5,1,5
_.NO FILL
.rj _.NF
.x NO FILL command
.s

Disengages the FILL ^&and\& JUSTIFY modes.  This command is used, for
example, to permit including a table.  While NOFILL is in effect
blank lines in the input are copied to the output.  Note, however,
that each line in the input will produce SPACING lines in the
output.  Also, if a line in the input exceeds the right margin, it
will be broken as required and the excess will be placed on the
next line.  See the #LITERAL# command for another way to restrict
=RUNOFF's processing of the input.

.p -5,,6
_.JUSTIFY
.rj _.J
.x JUSTIFY command
.s

Causes a #BREAK# and sets subsequent output lines to be filled ^&and\&
justified (initial setting).  While JUSTIFY is in effect, the spaces
between words are increased until the last word exactly meets the
text right margin.

.p -5,,4
_.NO JUSTIFY
.rj _.NJ
.x NO JUSTIFY command
.s

Causes a BREAK and prevents justification of subsequent output
lines.  This causes a ragged text right margin.

.note NOTES

1.  NOFILL/NOJUSTIFY# mode needs to be used only where
there are several lines of material to be copied exactly.
A single line will not require using these commands if
there are breaks before and after.

.s

2.  Normally FILL and NOFILL are used to turn both
fill=ing and justification on and off.  It is usually
desir=able to do both.  A subsequent appearance of a
justification command will override the FILL command
however.

.s

3.  Because of the action of FILL, a single occurrence of
NOJUSTIFY will cause the remainder of the file to be
=unjustified, with filling as specified.

.end note 1

.p -5,,6
_.AUTOPARAGRAPH
.rj _.AP
.x AUTOPARAGRAPH command
.s

Causes any blank line, formfeed, or line starting with a space
or tab to be considered as an indication of the start of a new
=paragraph.  This command allows normally typed text to be justified
without special commands.  If blank lines or a formfeed is followed
by a command line, no paragraph is started.

.p -5,,3
_.NO AUTOPARAGRAPH
.rj _.NAP
.x NO AUTOPARAGRAPH command
.s

Disengages AUTOPARAGRAPH mode (initial setting).  In this mode blank lines
and leading spaces and tabs are considered only as word separators.

.p -5,,3
_.HYPHENATION
.rj _.HY
.x HYPHENATION command
.x Word>hyphenation
.s

Engages hyphenation (initial setting).  (Also see the /HY switch.)
When hyphenation is active, words are hyphenated to make the text
right margin more even, or if JUSTIFY is active, to reduce the
stretching required of lines.  Unless the special equal-sign
character is used (see below), hyphenation will be done with
=RUNOFF's algorithm (which is not always =correct).

.p -5,,3
_.NO HYPHENATION
.rj _.NHY
.x NO HYPHENATION command
.s

Disengages hyphenation.

.p -5,,8
_.FLAGS HYPHENATE
.rj _.FL HYPHENATE
.x FLAGS HYPHENATE command
.x Equal-sign character
.x #_=  (hyphenation flag character)
.x Word>hyphenation
.x Hyphenation>disable/specification
.x Preferred hyphenation
.s

Enables the equal-sign character ("_=") to disengage hyphenation for
the word it precedes, or to specify preferred hyphenation points
within a word.  The equal-sign character can then be used to
=control hyphenation for words improperly hyphenated by RUNOFF's
=algorithm.  This special character is initially disabled, and the
FLAGS HYPHENATE command must be issued to enable this feature.

.p -5,,3
_.NO FLAGS HYPHENATE
.rj _.NFH
.x NO FLAGS HYPHENATE command
.s

Disengages the #FLAGS HYPHENATE# command (initial setting).

.p -5,,6
_.FLAGS SUBINDEX
.rj _.FL SUBINDEX
.x FLAGS SUBINDEX command
.x Greater-than character
.x #_>  (subindex flag character)
.x Subindex>flag character
.s

Enables the greater-than character ("_>") to indicate subindex
=entries in ENTRY and INDEX commands.  See the section on index
=processing for further details.  This is the initial setting.

.p -5,,4
_.NO FLAGS SUBINDEX
.rj _.NFS
.x NO FLAGS SUBINDEX command
.s

Disables the #FLAGS SUBINDEX# command.

.p -5,,6
_.PERIOD
.rj _.PR
.x PERIOD command
.s

Enables printing of two spaces after every sentence termination
punctuation that is followed by at least one separator character
(initial setting).  This spacing applies to ".", ":", "!", and
"?"; and to ".", "!", or "?" followed by ")", "]", "}", or a quote
character ('"').

.p -5,,3
_.NO PERIOD
.rj _.NPR
.x NO PERIOD command
.s

Disengages double spacing after punctuation.

.p -5,,5
_.FOOTNOTE LINE [<number>],[<char>]
.rj _.FNL [<number>],[<char>]
.x FOOTNOTE LINE command
.x Footnote
.x Underbar character
.s

Specifies the characteristics of the separation between the body of
text and footnotes (see the FOOTNOTE command).  Normally one blank
line and a line containing 15 underbar characters ("__") is used.
If that is acceptable, this command does not need to be used.
Otherwise, this command can be used to change the number of
characters and the character used (e.g., if your output device
cannot print an under=bar).  If the number is omitted, the current
value is unchanged.  If the character is omitted, automatic output
of the separation is disabled.  In that case, the first footnote to
appear on an output page must include the separation which is to appear.

.p 0,,2

The following characters cannot be used as the line character:
".", ",", ";" and "!".

.p -5,,5
_.QUOTE CHARACTER [<char>]
.rj _.QC [<char>]
.x QUOTE CHARACTER command
.x Quote character
.x Underbar character
.x #__  (quote character)
.s

Changes the special quote character to the specified character.
The initial quote character is the underbar ("__").  That is also
the default assumed if no character is provided.

.p 0,,2,6

The primary use of this command is to change to some other
character to simplify inclusion of a large number of underbar
characters in the text.  Note, however, that none of the other
special characters ("_^", "_\", "_#", "_&", and conditionally "_=",
"_<", ">") should be used for the new quote character unless you
are sure they are not used for their normal purpose.

.p 0,,2

Note also that the following characters cannot be used as the quote
character under any circumstances:  ".", ",", ";" and "!".

.p -5,,6
_.UPPER CASE
.rj _.UC
.x UPPER CASE command
.s

Sets the output mode to uppercase.  This command acts the same as
typing two circumflexes ("_^_^", see Appendix C).  This is the
=default mode.  There is no need to type this command unless the
mode was previously altered to lowercase.

.p -5,,4
_.LOWER CASE
.rj _.LC
.x LOWER CASE command
.s

Sets the output mode to lowercase.  This command acts the same as
typing two backslashes ("_\_\", see Appendix C).

.p -5,,8
_.FLAGS CAPITALIZE
.rj _.FL CAPITALIZE
.x FLAGS CAPITALIZE command
.x Less-than character
.x #_<  (capitalization character)
.x Word>capitalization
.x Capitalize word
.s

Enables the less-than ("_<") character to capitalize the entire
word it precedes, and then return the file to the current case
mode.  This special character is initially disabled--the
FLAGS#CAPITALIZE command must be issued to enable this feature.
After a case shift with a less-than character, a space or another
less-than returns the file to the current case lock.

.p -5,,3
_.NO FLAGS CAPITALIZE
.rj _.NFC
.x NO FLAGS CAPITALIZE command
.s

Disengages the #FLAG CAPITALIZE# command (inital setting).

.p -5,,4
_.NO FLAGS
.rj _.NFL
.x NO FLAGS command
.s

Disengages the FLAGS CAPITALIZE, FLAGS HYPHENATE and FLAGS SUBINDEX
=commands.

.;TEXT FORMATTING
.lm -5
.st Text Formatting
.tp 12
.hl 1 ^&TEXT FORMATTING COMMANDS\&
.x ~>C3.6 Text Formatting Commands
.x Formatting
.x Text>formatting
.x Commands>text formatting

The following commands control formatting of the text on the pages of
the output document.

.lm +5
.p -5,2,4,6,2
_.COMMENT [<text>]
.rj _.;[<text>]###or###[.]![<text>]
.x COMMENT command
.x Exclamation point
.x #;  (comment character)
.y #!
.x #!>>(comment character)
.s

Causes the line to be ignored.  The text is not printed in the output
file, but rather is used as a comment line in the input file.  For the
exclamation-point form, the period is optional.  Note, however, that
care must be exercised when the exclamation-point form is used without
a period because of the use of the exclamation-point to mark the end
of footnotes and text blocks.

.p 0,1,2

Note that all the forms of the comment command will be ^&included\& in the
output when they occur within a LITERAL section.

.p -5,1,5
_.BREAK
.rj _.BR
.x BREAK command
.s

Causes a break.  That is, the text line being filled will be output
with no justification and the next word of the input text will be
placed at the beginning of the next line.

.p -5,,4
_.SKIP [<number>]
.rj _.SK [<number>]
.rj _.S [<number>]
.x SKIP command
.s

Causes a BREAK after which <number> is multiplied by the line
spacing (see the #SPACING# command).  The result is the number of
lines skipped.  Output is advanced to the top of the next page if
there isn't sufficient room on the current page for the blank lines.
If omitted, the number =defaults to 1.  If the current page is
empty, SKIP does nothing unless the argument is negative.*# If
the argument is negative, blank lines are output to place the
following text =<number> line spacings from the bottom of the page.

.footnote 4
.lm 3.p -3,1
*##To leave blank lines at the top of a page, put a quoted space ("_#")
   on the page, followed by a SKIP or BLANK command.  Alternatively, a
   FIGURE command can be used by itself.
!

.p -5,,4,8,2
_.BLANK [<number>]
.rj _.B [<number>]
.x BLANK command
.s

Causes the current line to be output with no justification, skips
<number> line spaces, and then starts output of the following
input text.  BLANK is like SKIP, except that the space to be left
is independent of the line spacing.  If the number is omitted, 1
is assumed.  If the page is empty, BLANK does nothing unless
=<number> is negative.*#  Negative numbers have an effect similar to
SKIP.

.p -5,,4,7,2
_.INDENT [<number>],[<text>]
.rj _.I [<number>],[<text>]
.x INDENT command
.s

Causes a BREAK and sets <text> (or the next text line) to begin
=<number> spaces indented from the text left margin.  The number can
be negative to allow beginning a line to the left of the left
margin.  However, a line cannot begin to the left of column 0.  If
no number is supplied, the current PARAGRAPH indent is used (see
=below).

.p -5,,5,9,2
_.CENTER [<number>],[<text>]
.rj _.C [<number>],[<text>]
.i -5,_.CENTRE [<number>],[<text>]
.x CENTER command
.x CENTRE command
.s

Causes a BREAK and centers the following text.  The centering is
over column (<number>#+#<text#left#margin>)/2.  If no number is
given, the text right margin is used.  If a signed number is given,
it is taken as relative to the current right =margin.  An alternate
format is to place the text on the following line.

.p 0,,2

Note that the text argument includes any spaces or tabs at the end
of the line.

.p -5,,6
_.RIGHT JUSTIFY [<number>],[<text>]
.rj _.RJ [<number>],[<text>]
.x RIGHT JUSTIFY command
.s

Outputs the following text in the input file on the current line,
but forced against column <number> (which defaults to the text
right margin).  If a signed number is given, it is taken as
relative to the current right margin.  An alternate format is to
place the text on the following line.

.p 0,,2

If it is desired to have the text right justified on the line ^&after\&
the current one, precede this command with a BREAK command.

.p 0,,5

As an example, the command syntax lines in this manual were
=produced with commands like the following:

.p 0,,2
.c _.INDENT -5,<full command>          #
.c _.RIGHT JUSTIFY <abbreviated command>

.p -5,,7
_.PARAGRAPH [<ind>],[<skip>],[<start>],[<block>],[<end>]
.s
.rj _.P [<ind>],[<skip>],[<start>],[<block>],[<end>]
.x PARAGRAPH command
.s

Causes a #BREAK# and establishes the format of output paragraphs.
<Ind> sets the number of spaces paragraphs are indented (and can be
negative).  <Skip> is the number of blank lines between paragraphs,
which can range from 0 to 5.  The last three parameters are used for
an automatic #TEST PAGE# (see the #TEST PAGE# command).

.p 0,,2,4

As noted, each of the parameters is optional.  If one of the first
three parameters is omitted, the corresponding value specified in a
previous #PARAGRAPH# command is used by default.  The initial
=values are 5,1,2, respectively.

.p 0,,2

If #AUTOPARAGRAPH# mode is in effect, only the first three parameters
are processed when an automatic paragraph is started.

.;Text formatting

.p -5,,10
_.HEADER LEVEL [<level>],<text>
.rj _.HL [<level>],<text>
.x HEADER LEVEL command
.x Section header
.s

Starts a text section at a specified level and takes <text> as the
header.  The level can range from 1 to 5.  If no value is
specified, the current level (initially 1) is assumed.  The level
can be given as a signed number to specify it relative to the
current level.  For example, "+1" would yield the next higher
level.

.s

Section numbers are incremented automatically, and the number is
output in the form "i.j.k.l.m."  For a chapter-oriented document,
"i" is the chapter number.  Otherwise, it is the number of the
"_.HL#1" level.

.p 0,,3

Unless this command occurs at the top of an output page or
immediately after a CHAPTER or APPENDIX command, this command
starts by issuing the commands

.s.c _.BLANK 3 .TEST LINES 5
.p 0,,4

Then the command outputs the section number, two spaces, and the
text for the section name.  Header levels 1 and 2 end with a BLANK.
Header levels 3, 4, and 5 end with a space-dash-space combination
(i.e., "_#--_#").

.s
.x AUTOSUBTITLE command
.x Subtitle

If an #AUTOSUBTITLE# command has been issued, the subtitle may be
set to <text> by this command.

.p -5,,4
_.LITERAL
.rj _.LIT
.x LITERAL command
.s

Disengages FILL and JUSTIFY and outputs the input text exactly as
=entered in the input file (except for the characters with special
significance to RUNOFF).  LITERAL mode differs from NOFILL mode in
the following ways:

.list 1,o
.le 2 The input is copied to the output line for line regardless
of the current spacing setting.
.le 3 Lines up to 132 characters long are not broken if they exceed
the right margin, but a warning message is output to the user's
terminal for each such line.
.le 2 Tab characters in the input are output directly rather than
being converted to the appropriate number of spaces.
.le 2 The only command recognized while LITERAL mode is in =effect
is END LITERAL.
.end list 0

.p -5,,4
_.END LITERAL
.rj _.ELI
.x END LITERAL command
.s

Used after a LITERAL command to resume normal processing, including
the preceding FILL/JUSTIFY mode.  Resets the line spacing to its
previous value.

.;Text formatting

.p -5,,4,7,2
_.NOTE [<indent>],[<text>]
.rj _.NT [<indent>],[<text>]
.x NOTE command
.s

Starts an indented note.  This command causes a BLANK#2 and a TEST
LINES#4, reduces both text margins by <indent> (which defaults to
five spaces), centers <text> (if omitted, the word "NOTE" is
=centered), and then causes a BLANK 1.  At this point the body of
the note is output.

.p -5,,5
_.END NOTE [<lines>]
.rj _.EN [<lines>]
.x END NOTE command
.s

Terminates the preceding NOTE command.  <Lines> blank lines are
output to set the note off from the following text (the default is
two lines).  The text margins are returned to the settings before
the last NOTE command.

.p -5,,7
_.LIST [<lines>],[<char>]
.rj _.LS [<lines>],[<char>]
.x LIST command
.x Numbering>lists
.s

Starts an indented list with <lines> extra line spacings before each
element.  (If omitted, <lines> defaults to the value specified in
a previous LIST command; initially 1.)  The parameter also sets the
default number of blank lines to be output after the list--see the
END LIST command below.

.p 0,,2

The elements of the list will be numbered sequentially if no
=character is specified in the LIST command.  If a character is
specified, it will be used to mark each element of the list.  For
example, a "-" or "o" (pseudo bullet) can be used.  The following
characters cannot be used as the mark character:  ".", ",", ";",
"!", the special characters "_^", "_\", "_&", the quote character
(normally "__"), and, if enabled as special characters, "_=" and
"_<".  The special character "_#" can be used to get a blank mark
character but cannot be made to appear as the mark character.

.p 0,,2

Up to five lists can be in process at one time.  A top-level list
is formatted to have its element numbers or mark character indented
five spaces from the current left margin.  (The element numbers or
mark character are output with a negative indent relative to the
text of the list elements.)  Each subsequent nested list will be
indented further, so that its numbers or mark characters will be
aligned with the text of the preceeding level.

.p 0,,2

The normal FILL and JUSTIFY modes remain in effect in a list.
Therefore, you must disengage them to get a ragged right margin.

.note

If a LIST appears in a footnote and another LIST happens to be in
process in the main text when the footnote is output, then the list
in the footnote will be treated as a nested list.

.end note 1

.p -5,,4
_.LIST ELEMENT [<lines>],[<text>]
.rj _.LE [<lines>],[<text>]
.x LIST ELEMENT command
.s

Signals the start of an item in a list in conjunction with the LIST
command.  The elements are automatically numbered sequentially or
are marked by the character specified in the corresponding LIST
command.  The number or character is given a negative indent so that
the text of the list elements lines up.

.p 0,,2,6

The list elements are separated by the spacing specified in the
corresponding LIST command and #TEST#PAGE#<lines># is done to make
sure there is room on the current page for the element (<lines>
=defaults to the value specified in a previous LIST ELEMENT command
in the current list; initially 1).  The text is shown as optional
=because it can be supplied on the next line.

.p 0,,2

Note that if the current SPACING is larger than 1#, the <lines>
=parameter is interpreted as ^&text\& lines.

.p -5,,5
_.END LIST [<lines>]
.rj _.ELS [<lines>]
.x END LIST command
.s

Terminates the current #LIST# command and returns to the settings
for the preceding LIST, if any.  <Lines> blank lines are output to
set the list off from the following text.  The default is the
number of lines set by the LIST command for this list.

.;DEFERRED-OUTPUT
.lm -5
.st Deferred Output
.tp 9
.hl 1 ^&DEFERRED-OUTPUT COMMANDS\&
.x ~>C3.7 Deferred-Output Commands
.x Text>deferred
.x Output, deferred
.x Commands>deferred output

The following commands control the processing of text which may have to
be deferred until a later point in the output.  For example, footnotes
are deferred until the bottom of the output page being created when the
footnote is encountered in the input.

.p 0,1,2

Another situation which could lead to postponing input material is when
a block of output lines must be kept together (e.g., for a figure or
table).  If a TEST PAGE or TEST LINES command were used to make sure the
lines are kept together, there could be a large blank space at the
bot=tom of the current page if the block will not fit there.  That is,
the TEST#PAGE and TEST#LINES commands cause a new page to be started
immediately if the desired space isn't available on the current page.
Often one would like normal text to continue to fill the current page
and then have the block of lines output at the top of the next page when
it is begun.  The FIGURE and BLOCK commands are provided for that
purpose.

.p

There can be a number of footnotes, blocks, and figures pending at one
time.  The footnotes are all output at the bottom of the current page,
but the blocks and figures will be spread among as many following pages
as are required.  Blocks and figures are always output in the same order
they were encountered in the input.

.p

The only limit to the number of deferred items is the amount of memory
space available for their temporary storage.  The memory space between
the "top" of the RUNOFF program and the highest address accepted by the
computer is available for storing pending footnotes, blocks, and figures
and the index (see the next section).  The space used starts out small
and grows to the maximum size required to accommodate stored material.

.lm +5
.p -5,2,4
_.FOOTNOTE <length>
.rj _.FN <length>
.x FOOTNOTE command
.x Footnote
.s

Reserves <length> lines at the bottom of the current page for a
footnote.  If a page has multiple footnotes, the allocated space is
the sum of the allocations for all footnotes appearing on the page.
Note, however, that the actual space taken by a footnote can be
more or less than the specified number of lines.  A warning message
is output to the user's terminal if a footnote incorrectly fills a
page.  If necessary, adjust the length parameter after reviewing a
draft output.

.p 0,1,5

The complete syntax for a footnote is

.s
.c ,_.FOOTNOTE <length>                #
.c ,<line(s) of input for the footnote>
.c ,!                                 #

.p 0,,3
.x Exclamation point
.x #!>>(termination character)

As shown above, a footnote is terminated by a line in the input
which begins with an exclamation point.  The remainder of that line
is ignored.

.p 0,,10

Most parameters and mode settings are saved at the start of
footnote output and restored after its completion.*# Thus, settings

.footnote 6
.lm 3.p -3,1
*##The following parameters and settings are saved at the start of a
footnote and restored after it is ended:  line spacing; left and
right margins; the status of FILL and JUSTIFY; PARAGRAPH parameters;
and the status of any LITERAL or NOTE in process.  Note, however,
that AUTOPARAGRAPH mode is not saved or affected.
!

different from those in the main text can be used within footnotes.
Note, however, that settings carry over from one footnote to the
next (on the same page).  The left and right margins and line
spacing are set to their default values at the start of a footnote.

.p 0,,2

The user must explicitly include his/her choice of symbols within
the text and the footnote to designate the footnote reference.  For
example, asterisks ("*") can be used as was done with the footnotes
associated with this command description.  The FOOTNOTE command and
the footnote text should follow immediately in the input file to
ensure that the footnote space is properly allocated.

.p 0,,2

There is a choice as to how the separation between the body of the
text and the footnote will be handled.  The default is for RUNOFF
to automatically output one blank line and a separating line of 15
underbar characters ahead of any footnotes on a page (space is
=automatically allocated for these two lines).  The length of the
separating line and the character to be used can be changed with
the FOOTNOTE LINE command.

.s

If that format is not desirable for any reason, a FOOTNOTE#LINE
command should be used to turn off automatic output of the
separation.  Then the contents of the footnote(s) will be output
immediately after the last text line on the page.  Thus, the first
footnote on each page should then contain the lines necessary to
set off the footnote(s).

.p 0,,2,11,8

The following commands are not permitted within a footnote:
=LAYOUT, PAGE#SIZE, TAB#STOPS, STANDARD, all Page Header commands,
all Pagination commands, HEADER#LEVEL, FOOTNOTE, BLOCK, FIGURE, DO
INDEX, and PRINT#INDEX.  An error message will be output if any of
these is attempted in a footnote.*

.footnote 4
.lm 3.p -3,1
*##No error message is output if a FIGURE command appears in a footnote,
but the FIGURE will not be processed correctly if it specifies a
="setoff" parameter.
!

.p -5,,8
_.BLOCK <length>,[<setoff>]
.x BLOCK command
.s

This command is similar to the FOOTNOTE command above.  The
difference is that if there is room on the current page for the
body of the "block," it is output immediately.  Otherwise, it is
deferred to the next page on which it will fit.  This is useful,
for =example, for including a table in the document.

.p 0,,5
.x Exclamation point
.x #!>>(termination character)

The complete syntax for a block is

.s
.c ,_.BLOCK <length>,[<setoff>]           #
.c ,<line(s) of input to be kept together>
.c ,!                                    #

.p 0,,2

Specifically, this command checks whether (<length>#+#<setoff>)
lines will fit on the current page.  If they will fit, <setoff>
blank lines are output (the default is 2 lines), followed by the
body of the block, and another <setoff> blank lines.

.p 0,,3

If there isn't room on the current page for the block, the entire
block is stored for output on a subsequent page, and normal text
continues to fill the current page.  When the block is finally
output, it is set off from the following text by <setoff> blank
lines.  (Consecutive blocks which have been deferred will be
separated only by a single setoff.)

.p 0,,3

The BLOCK command has several characteristics which are the same
as those for the FOOTNOTE command:

.list 1,o

.le 3 The length parameter must correctly predict the number of lines
in the ^&output\& file which will result from the body of the block.

.le 3 The end of a block is indicated in the input by a line which
begins with an exclamation point (the remainder of the line is =ignored).

.le 2 A block can contain most RUNOFF commands, but not those
which are not allowed in footnotes.

.le 2 Most parameters and mode settings are stored before a block is
output, and restored after it is completed.

.end list 0

.p 0,,3

If there are pending blocks when an APPENDIX, CHAPTER, DO#INDEX,
EVEN, ODD or SUBPAGE command is processed, or the end of the input
is reached, the blocks are all output immediately.

.p -5,,5
_.FIGURE [<length>],[<setoff>],[<text>]
.rj _.FG [<l>],[<s>],[<t>]
.x FIGURE command
.s

This command can be used to make room for a figure or diagram to be
pasted into the output.  FIGURE acts like the BLOCK command in
that if there is not enough space remaining on the current page or
if there is already a block or figure pending, text continues to
fill the page and the figure space is put on a later page.

.p 0,,4

The following things are done when a figure space is output:

.list 1

.le 2 <Setoff> blank lines are output to separate the figure from the
preceding text (the default is 0 lines).

.le <Length> blank lines are output to create the figure space (the
default is 1 line).

.le The text argument is output centered.

.le 2 Another <setoff> blank lines are output to set off the
following text.

.end list 0
.p ,,3

Note that blocks and figures are output in exactly the order in
which they occur in the input file.  Also, all pending figures are
output when all pending blocks are output (see above).

.;INDEX PROCESSING
.lm -5
.st Index Processing
.tp 10
.hl 1 ^&INDEX PROCESSING COMMANDS\&
.x ~>C3.8 Index Processing Commands
.x Index processing
.x Commands>index processing

RUNOFF can be used to create an index for the output document.  The
following commands can be used to record the index entries and their
page references, and to control the format of the index in the output.
See the index in this document for an example of an index produced by
=RUNOFF.

.p 0,,2,5,2

An index is accumulated in an internal buffer by placing INDEX and
=ENTRY commands throughout the input file.*# These commands specify the

.footnote 8
.lm 3.p -3,1

*##RUNOFF stores all the index entries in memory until it encounters one
   of the commands for writing the index to the output file.  The only
   limitation on the size of the index is the memory space available for
   its storage.  The storage method that RUNOFF uses assures that
   duplicate entries will not be stored.  That is, for example, if an
   item is referenced several times on the same output page, only one
   entry will actually be stored in the index buffer.

! end of footnote

entries to appear in the index.  In the case of INDEX, the position in
the input file will determine the page reference which is listed in the
index.

.p 0,,3

The user should place a command in the input file at the point at which
the index is to appear in the output.  The index is automatically output
at the end of the output file if no such command appears in the input
file.

.lm +5
.p -5,2,8
_.INDEX <text>
.rj _.X <text>
.x INDEX command
.s

Adds <text> and the current page number to the internal index buffer.
An item may be indexed as many times as desired.

.p 0,1,2

This command does not cause a break.  Thus, INDEX commands can be
inserted at any point in the text without affecting line filling.
To insure that the page reference is correct, the command should
appear immediately before the item to be indexed appears in the
text.  That is, when an INDEX command is processed, the current
output page number is recorded with the index entry.  It is up to
the user to make sure that the item appears in the text on that
page.

.p 0,1,2,4,2

The case of the text is considered when the entry is processed.
Thus, "INDEX APPLE", "INDEX Apple" and "INDEX apple" would produce
three different index entries.  Also, only the first 50 characters
of the text are entered into the index--any remainder is ignored.

.p 0,,3

If the #FLAGS SUBINDEX# command is in effect (the initial setting),
the subindex flag character (">") can be used to specify subindexing.  
As an example, the following commands

.p 0,,3
.c _.ENTRY Main               #
.c _.INDEX Main>minor 1       #
.c _.INDEX Main>minor 1>minor 2
.s

will yield these index entries:

.p 0,,3
.c Main                                     #
.c ##minor 1 . . . . . . . . . . . . . <page>
.c ####minor 2 . . . . . . . . . . . . <page>
.p 0,,2,5

The subentries can be indexed on any number of pages just like any
other index entry, and the top-level entry may be entered with
=either an #INDEX or ENTRY# command.  The output format of subindex
entries is determined by the command used to output the index (see
=below).

.p -5,,5,7,2
_.ENTRY <text>
.rj _.Y <text>
.x ENTRY command
.x Subindex
.s

Similar to the #INDEX# command except that the entry is stored
without a page reference (see the example above).  This is useful
for inserting a heading line ahead of a group of subindex entries.
If there is an #INDEX# command for the same entry somewhere else in
the input, the #ENTRY# command will have no effect.

.p -5,,4,8,2
_.DO INDEX [<text>]
.rj _.DX [<text>]
.x DO INDEX command
.x Title
.x Subtitle
.s

Forces a new page and centers the text, if given; otherwise it
centers the word "INDEX".  The heading is spaced down the page like
a chapter or appendix heading.  The subtitle is cleared and, if a
text is given, it becomes the title.  Pages are numbered "I-<n>",
starting at "I-1" (which is not printed).  The left and right
=margins are reset to their default values.

.p 0,,2

This command prints the entire contents of the index buffer and
leaves the buffer empty.  Entries are printed in alphabetical order
and are set against the left margin.  Entries are single spaced,
except that SPACING blank lines are left between entries with
different first letters.  Subindex entries are indented two spaces.

.s
.x Width>index

The number of the first page on which each entry was referenced
(by an INDEX command) is put on the same line as the entry,
beginning at the middle of the line (midway between the left and
right margins).  Additional page numbers for multiple references
follow, separated by commas.  If there are more page references
than will fit on one line, the list is continued on the next line
under the first reference.

.p 0,,3

This command is not actually needed in the input file since an
=automatic DO#INDEX is done if there is anything in the index
buffer when the end of the input is reached.

.p -5,,4
_.PRINT INDEX [<indent>],[<spacing>]
.rj _.PX [<indent>],[<spacing>]
.x PRINT INDEX command
.s

Like DO INDEX, but just prints the index buffer without any
=heading, without interrupting normal page sequencing, and without
affecting the margin settings.  Unlike DO#INDEX, this command
=allows a specified indentation to be used for subindex entries.  If
omitted, <indent> defaults to 2.

.s

This command also differs from DO INDEX in that PRINT#INDEX uses
the SPACING setting to space individual entries, and outputs
=<spacing> extra blank lines between letter groups.  The default is
two (2) extra blank lines.

.;OPTIONAL-INPUT
.lm -5
.st Optional Input
.tp 12
.hl 1 ^&OPTIONAL-INPUT COMMANDS\&
.x ~>C3.9 Optional-Input Commands
.x Text>optional
.x Text>conditional
.x Input>optional
.x Commands>optional input
.x Optional>input segments

It may be desirable to have sections of the input which are sometimes
excluded from the output document.  The following commands provide the
ability to set off sections of the input file so they can selectively be
included in or excluded from the output document.  The selection can be
made either with commands within the input file (see INCLUDE and EXCLUDE
below) or by using switches in the RUNOFF command line (see the next
=chapter).

.p 0,1,2

For example, this manual can apply to RSX or RSTS systems.  The user
instructions for both operating systems are in the input file for this
manual, but there is no need to have both sets of instructions in every
manual.  Thus, the commands below are used to select which set of
=instructions is included in the output.

.p 0,,2

The structure for using these commands to control processing of a
=segment of the input can be described as follows:

.p 0,,3
.c ,_.OPTION <n>                                               #
.c ,<line(s) of input to process if "INCLUDE <n>" is in effect>
.c ,_.END OPTION <n>                                           #
.p 0,,2

The following structure can be used if there are two alternative
=portions of the input:

.p 0,,5
.c ,_.OPTION <n>                                               #
.c ,<line(s) of input to process if "INCLUDE <n>" is in effect>
.c ,_.ELSE <n>                                                 #
.c ,<line(s) of input to process if "EXCLUDE <n>" is in effect>
.c ,_.END OPTION <n>                                           #
.s

The commands shown in these structures are described in detail below.

.lm +5
.p -5,2,5,10,2
_.OPTION <number>
.rj _.OPT <number>
.x OPTION command
.s

Marks the beginning of a segment of the input file which is to be
processed or ignored depending on the "setting" of the indicated
option.  Options are set to "include" or "exclude" by the
correspondingly named commands, described below.  The option number
must have its magnitude in the range 1-32, and an error message is
out=put if the option hasn't been set to either "include" or
="exclude."

.p 0,1,2,4,2

If the option has been set to "exclude," RUNOFF will ignore all the
input up to the next #ELSE or END#OPTION# command (see below) with
the same option number.  When an option is set to "include," RUNOFF
will process all the input up to the next #ELSE# or #END#OPTION
command with the same option number.

.p 0,,2

If the option number is negative the logic is reversed.  That is,
the input will be ignored when the option is set to "include."

.p -5,,5
_.ELSE <number>
.x ELSE command
.s

Marks the beginning of an alternate optional input segment.  The
option number must be the same as that in the corresponding OPTION.

.p 0,,2,5

If the option is set to "include," this command marks the end of
the material to be included in the output and the beginning of
another segment which will be excluded.  Conversely, if the option
is set to "exclude," this command marks the end of the material to
be excluded and the beginning of a segment to be included.

.p -5,,4
_.END OPTION <number>
.rj _.ENDO <number>
.x END OPTION command
.s

Marks the end of an optional input segment.  The option number must
be the same as that in the corresponding OPTION command.

.p -5,,4,7,2
_.INCLUDE <number>
.rj _.IN <number>
.x INCLUDE command
.s

Sets the indicated option so that all input enclosed by any OPTION
and ELSE or END#OPTION commands (see above) with the given option
number will be processed.  The /IN command-line switch can also be
used to select inclusion of optional input segments.

.p 0,,3

This command will be ignored (and a =message will be output to the
user's terminal) if there had been a command-line switch (/IN or
/EX) associated with the specified option number.

.p -5,,4
_.EXCLUDE <number>
.rj _.EX <number>
.x EXCLUDE command
.s

Similar to the INCLUDE command, except that this command sets the
indicated option so that the corresponding input will be ignored.
In that case, any input between ELSE and END#OPTION commands for
the given option number will be processed.  (Also see the /EX and
/IN command-line switches.)

.;RSX OPERATING PROCEDURES
.option 1
.t
.st
.option 4
.lm 0
.even (This page intentionally left blank.)
.end option 4
.chapter RSX/IAS OPERATING PROCEDURES
.x ~>C4 RSX/IAS OPERATING PROCEDURES
.x Operation
.st Initiating RUNOFF
.hl 1 ^&INITIATING RUNOFF\&
.x ~>C4.1 Initiating RUNOFF

RUNOFF can be initiated in several ways.  The most common MCR commands
for RSX-11 users are:

.nf
.s
.c RNO                #
.c RNO <command string>
.c RUN $RNO           #
.f
.st RUNOFF Command String
.hl 1 ^&RUNOFF COMMAND STRING\&
.x ~>C4.2 RUNOFF Command String
.y Command
.x Command>string

RUNOFF requires a command string to specify the input and output files
as well as various options.  A standard command string has one of the
following forms:

.s.c <output file> _= <input file>[,<input file>...]
.s.c or
.s.c @<command file>
.s

Both <output file> and <input file> are strings comprising file
specifications.  Spaces are optional between elements of the command
line.  As indicated, there can be multiple input files.  (In that case a
BREAK =occurs in the output between input files.)

.s

The second form of command string (@<command file>) is used to specify
an indirect command file.  In this case each line of the specified file
is used as a command string.  Comment lines can be included in the file
by starting such lines with a semicolon.

.hl 2 File Specifications
.x ~>C4.2.1 File Specifications
.x File specification

An RSX-11 file specification has the following general form, some parts
of which are optional.

.s
.c <device>:[<uic>]<filename>.<type>;<version>
.p 0,1,3

In this specification <device> must be a legal device code.  <Uic># must
be a valid User Identification Code.  The square brackets are required
if a UIC is specified.

.p 0,,2,4

The initial default for <device> is "SY", the user's disk.  The initial
default UIC is the current UIC.  If a device or UIC is specified on the
input side of a command, that specification becomes the default for the
remainder of the command.

.p 0,,3

<Filename> is any one- to nine-character alphanumeric string which
=specifies a file name.  <Type> is a zero- to three-character
alpha=nu=meric file type.

.s

System programs often default to appropriate standard file types, so the user
will often not have to explicitly specify them.  The default file
names and types for RUNOFF (any of which may be overridden) are:

.s.c Input:###RUNOFF.RNO
.s.c Output:##RUNOFF.DOC
.s

Finally, <version> is an octal number which is the version number of the
file.  This field can also normally be omitted since it defaults on
input to the highest existing version number for the file and on output
to the highest existing version number plus one.

.option 6	! *** Optionally include this note ***

.note Editing RUNOFF Output

It may not be possible to edit RUNOFF output files with your
standard RSX/IAS file editor.  To edit RUNOFF output, the output
file may first have to be processed by TECO with a command
with the following format (where "$" represents the ESC key):

.b.c *ER<filespec>$EW<filespec>/-CR$EX$$

.end note 0
.end option 6		! *** End of optional note ***

.hl 2 RUNOFF Switches
.x ~>C4.2.2 RUNOFF Switches
.x Switches

A file specification may have one or more switches associated with it.
A switch is an indicator, consisting of a slash and a two-character
ASCII name, used to select a program option.  In general, a switch may
appear in three forms--for example, if a switch designator is "SW",
then:

.s
.c /SW#####Sets the switch action,       #
.c /-SW####Negates the switch action, and#
.c /NOSW###Also negates the switch action.
.p 0,,2

Some switches, however, are not accepted in either of the negative
forms.

.p 0,,2,4

Some switch identifiers may be followed by one or more values.  The
permitted values are numbers or an ASCII character as indicated in the
switch descriptions below.  The default for numeric values is decimal.
=Values preceded by a number sign ("_#") are interpreted as octal.

.p 0,,2,6

There are several switches to control the RUNOFF program.  These
switches, described below, may generally be specified on either the
input or output file specifications.  Input specifications supersede the
output specification if there is any conflict.  If there are multiple
input files, switches are "sticky" in that they remain in effect until
=explicitly changed.

.p 0,,2

The defaults for switch settings and values may be set by the system
manager at Task Build time.

.lm +8.nf
.p 0,2,3
/AP#####-- Append the output to the specified output file,
.i +16 starting a new page.  (This switch is only
.i +16 considered on the output file specification.)
/-AP####-- Write the output to a new file (default)
.p 0,1,3
.x Formfeeds
/FF#####-- Use formfeeds instead of multiple linefeeds (default)
/-FF:&n##-- Simulate formfeeds with linefeeds (&n is the number of
.i +16 lines per page; default value is 66)
.p 0,,2
.x Case switch
/UC#####-- Force the output to ALL uppercase
/-UC####-- Allow normal case conversion (default)
.p 0,,2
.x Spooling
.y Printing (see Spooling)
/SP#####-- Spool (i.e., print) the output file
/-SP####-- Inhibit spooling of the output file (default)
.p 0,,2
/WA#####-- Wait for  CR  input at beginning of each page
/-WA####-- Continue printing each page with no wait (default)
.p 0,,4
/PA:&l:&h -- Output only indicated page range
.i +16 &l#_=#Lowest page number output
.i +16 &h#_=#Highest page number output
.i +16 (default setting is to output all pages)
.p 0,,4
/CH:&l:&h -- Output only indicated chapter range
.i +16 &l#_=#Lowest chapter number output
.i +16 &h#_=#Highest chapter number output
.i +16 (default setting is to output all chapters)
.p 0,,2
/PS:&m:&n -- Set PAGE SIZE to #&m,&n #(see the PAGE SIZE command)
.i +16 (default is /PS:56:60)
.p 0,,2
.x Word>hyphenation
.x Hyphenation
/HY#####-- Enable hyphenation of output (default)
/-HY####-- Do not allow hyphenation of output
.p 0,,4
.x Underlining
/UL:B###-- Underline by backspacing and overprinting (default)
/UL:L###-- Underline via line overprint with underbar character
/UL:S###-- Simulate underline with hyphen character on next line
/UL:N###-- Suppress underlining
.p 0,,2
.x Alternate switch
/AL#####-- Allow the ALTERNATE, ALTERNATING TITLE, EVEN and ODD
.i +16 commands to be processed.  (default)
/-AL####-- Disable the ALTERNATE, ALTERNATING TITLE, EVEN and
.i +16 ODD commands.
.p 0,,9
.x Format, page
.period
.x Page>format
.period
/DO:&n###-- Set the number of blank lines to be output at the
.i +16 top of each page (default is 0).  (DOwn) (1)
.period
.footnote 5
.lm 5.f.p -5,1
(1)##If any of the switches #DO, LO, LE# and #WI# are specified, and a
=LAYOUT  command in the input attempts to change the setting(s), a
message is output to the user's terminal and the corresponding
=parameter(s) is(are) not changed.
!
.p 0,,3
.y Length
.x Length>page
.x Page>length
/LO:&n###-- Set the maximum number of lines to be output on each
.i +16 page, ^&not\& counting the blank lines at the top
.i +16 (default is 56).  (LOng) (1)
.p 0,,3
.y Margin
.x Margin>text
/LE:&n###-- Set the base left margin from which the left and
.i +16 right margins are to be applied--see the LAYOUT
.i +16 command (default is 0).  (LEft) (1)
.p 0,,2
/WI:&n###-- Set the right margin to be used initially and as the
.i +16 default where appropriate (default is 60).
.i +16 (WIdth) (1)
.p 0,,8
.x Length>header
/HL:&n###-- Set the number of lines to be in each page header
.i +16 (default is 5).  (Header Length) (2)
.footnote 4
.lm 5.f.p -5,1
(2)##If the HL switch is specified, and a #HEADER# command in the input
attempts to change the setting, a message is output to the user's
terminal and the setting is not changed.
!
.p 0,,6
.x Optional>input segments
.x Text>optional
.x Text>conditional
/IN:&m:&n:...#-- Set the indicated text options for inclusion
.i +16 regardless of any INCLUDE or EXCLUDE commands
.i +16 for those options in the input file(s).  Up to
.i +16 five options can be specified.  (INclude) (3)
/EX:&m:&n:... -- Similar to the /IN switch above, except that the
.i +16 options are set for exclusion.  (EXclude) (3)
.footnote 4
.lm 5.f.p -5,1
(3)##If an #IN# or #EX# switch is specified, and an INCLUDE or EXCLUDE
command appears in the input for the same option number, a message is
output to the user's terminal and the command is ignored.
!
.p 0,,4
.x Chapter>heading
.x Appendix>heading
/BL:&n###-- Set the number of blank lines to be output before
.i +16 chapter, appendix and index headings, and the
.i +16 default vertical spacing for the EVEN and ODD
.i +16 commands (default is 7).  (Blank Lines)
.f
.lm 0.rm
.end option 1

.;RSTS/E OPERATING PROCEDURES
.option 2
.t
.st
.option 4
.lm 0
.even (This page intentionally left blank.)
.end option 4
.chapter RSTS/E OPERATING PROCEDURES
.x ~>C4 RSTS/E OPERATING PROCEDURES
.x Operation
.st Initiating RUNOFF

.lm +5.rm -5
.c AUTHOR'S NOTE
.s

These instructions for RSTS have been carried forward from the
preceding version of RUNOFF, with changes for added features
and readability.  Their accuracy has ^&not\& been verified.

.lm -5.rm +5

.hl 1 ^&INITIATING RUNOFF\&
.x ~>C4.1 Initiating RUNOFF

For RSTS/E users, RUNOFF is run by the general command format:

.s
.c RUN $RNO      #
.c RNO> <filespec>

.p 0,1,4

If the RNO CCL command has been added to the system, the following
=format may also be used:

.s.c RNO <filespec>

.HL 1 ^&RUNOFF COMMAND STRING\&
.x ~>C4.2 RUNOFF Command String
.y Command
.x Command>string

RUNOFF requires a command string to specify input files and various
=options.  A command string has one of the following forms:

.s.c <output file> _= <input file>[,<input file>...]
.s.c or
.s.c @<command file>

.p ,,2,4

Both <output file> and <input file> are strings comprising file
specifications.  Spaces are optional between elements of the command
line.  As indicated, there can be multiple input files.  (In that case a
BREAK occurs in the output between input files.)

.p ,,2,4

The second form of command string (@<command file>) is used to specify
an indirect command file.  In this case each line of the specified file
is used as a command string.  Comment lines can be included in the file
by starting such lines with a semicolon.

.p 0,,2

The command-string syntax is described more completely in the User's
Guide for the relevant operating system.

.HL 2 File Specifications
.x ~>C4.2.1 File Specifications
.x File specification

A RSTS/E file specification has the following general form, some parts
of which are optional.

.s.c <device>:[<ppn>]<filename>.<type>
.p ,,3

In this specification <device> must be a legal device code.  The default
value is "SY", the system disk.  <Ppn> must be a valid Programmer-Project
Number.  The square brackets are required if a PPN is specified.

.p

<Filename> is any one- to six-character alphanumeric string which
=specifies a file name.  <Type> is a one- to three-character
alpha=nu=meric file type.

.p

System programs default to an appropriate standard type, so the user
will often not have to explicitly specify it.  The default file names
and types (any part of which may be overridden) are:

.s.c Input:###RUNOFF.RNO
.s.c Output:##RUNOFF.DOC
.p ,,2,5
.x RSTS/E output formats

Under RSTS/E, RUNOFF uses the RSX Run-Time System and may be task-built
to output its data as an RMS compatible sequential file which may be
printed by the RSTS/E spooling package without further processing.  To
convert the output to a standard (ASCII-stream) RSTS/E file, the FLX
system program may be used as follows:

.p ,,2
.c RUN $FLX                    #
.c FLX> OUTPUT.TXT/FA_=OUTPUT.DOC
.p ,,3

where OUTPUT.DOC was output by RNO.  Normally, RSTS/E systems will use the
"ASCII-stream" version of RNO.TSK.  Files output by this version of RUNOFF
are compatible with BASIC-PLUS I/O formats.

.note

Source file input to RSTS/E RUNOFF may be either in RMS-compatible
sequential file format or in BASIC-PLUS compat=ible ASCII-stream format.
In the latter case, all input lines must be terminated by <CR><LF> or
<FF> =sequences.  Other sequences, such as <LF><CR>, may cause erroneous
output.

.end note 0

.hl 2 RUNOFF Switches
.x ~>C4.2.2 RUNOFF Switches
.x Switches

A file specification may have one or more switches associated with it.
A switch is an indicator, consisting of a slash and a two-character
ASCII name, used to select a program option.  In general, a switch may
appear in three forms--for example, if a switch designator is "SW",
then:

.p 0,,3
.c /SW#####Sets the switch action,       #
.c /-SW####Negates the switch action, and#
.c /NOSW###Also negates the switch action.
.p 0,,2

Some switches, however, are not accepted in either of the negative
forms.

.p 0,,2,4,2

Some switch identifiers may be followed by one or more values.  The
permitted values are numbers or an ASCII character as indicated in the
switch descriptions below.  The default for numeric values is decimal.
=Values preceded by a number sign ("_#") are interpreted as octal.

.p 0,,2,6

There are several switches to control the RUNOFF program.  These
switches, described below, may generally be specified on either the
input or output file specifications.  Input specifications supersede the
output specification if there is any conflict.  If there are multiple
input files, switches are "sticky" in that they remain in effect until
=explicitly changed.

.p 0,,2

The defaults for switch settings and values may be set by the system
manager at Task Build time.

.lm +8.nf
.p 0,2,3
/AP#####-- Append the output to the specified output file,
.i +16 (starting a new page).  (This switch is only
.i +16 considered on the output file specification.)
/-AP####-- Write the output to a new file (default)
.p 0,1,3
.x Formfeeds
/FF#####-- Use formfeeds instead of multiple linefeeds (default)
/-FF:&n##-- Simulate formfeeds with linefeeds (&n is the number of
.i +16 lines per page; default value is 66)
.p 0,,2
.x Case switch
/UC#####-- Force the output to ALL uppercase
/-UC####-- Allow normal case conversion (default)
.p 0,,2
.x Spooling
.y Printing (see Spooling)
/SP#####-- Spool (i.e., print) the output file
/-SP####-- Inhibit spooling of the output file (default)
.p 0,,2
/WA#####-- Wait for  CR  input at beginning of each page
/-WA####-- Continue printing each page with no wait (default)
.p 0,,2
/PS:&m:&n -- Set PAGE SIZE to #&m,&n #(see the PAGE SIZE command)
.i +16 (default is /PS:56:60)
.p 0,,2
.x Word>hyphenation
.x Hyphenation
/HY#####-- Enable hyphenation of output (default)
/-HY####-- Do not allow hyphenation of output
.p 0,,4
/PA:&l:&h -- Output only indicated page range
.i +16 &l#_=#Lowest page number output
.i +16 &h#_=#Highest page number output
.i +16 (default setting is to output all pages)
.p 0,,4
/CH:&l:&h -- Output only indicated chapter range
.i +16 &l#_=#Lowest chapter number output
.i +16 &h#_=#Highest chapter number output
.i +16 (default setting is to output all chapters)
.p 0,,4
.x Underlining
/UL:B###-- Underline by backspacing and overprinting (default)
/UL:L###-- Underline via line overprint with underbar character
/UL:S###-- Simulate underline with hyphen character on next line
/UL:N###-- Suppress underlining
.p 0,,2
.x Alternate switch
/AL#####-- Allow the ALTERNATE, ALTERNATING TITLE, EVEN and ODD
.i +16 commands to be processed.  (default)
/-AL####-- Disable the ALTERNATE, ALTERNATING TITLE, EVEN and
.i +16 ODD commands.
.p 0,,6
.x Format, page
.x Page>format
/DO:&n###-- Set the number of blank lines to be output at the
.i +16 top of each page (default is 0).  (DOwn) (1)
.footnote 5
.lm 5.f.p -5,1
(1)##If any of the switches #DO, LO, LE# and #WI# are specified, and a
=LAYOUT  command in the input attempts to change the setting(s), a
message is output to the user's terminal and the corresponding
=parameter(s) is(are) not changed.
!
.p 0,,3
.y Length
.x Length>page
.x Page>length
/LO:&n###-- Set the maximum number of lines to be output on each
.i +16 page, ^&not\& counting the blank lines at the top
.i +16 (default is 56).  (LOng) (2)
.p 0,,3
.x Margin>text
/LE:&n###-- Set the base left margin from which the left and
.i +16 right margins are to be applied--see the LAYOUT
.i +16 command (default is 0).  (LEft) (2)
.p 0,,2
/WI:&n###-- Set the right margin to be used initially and as the
.i +16 default where appropriate (default is 60).
.i +16 (WIdth) (2)
.p 0,,6
.x Length>header
/HL:&n###-- Set the number of lines to be in each page header
.i +16 (default is 5).  (Header Length) (2)
.footnote 4
.lm 5.f.p -5,1
(2)##If the HL switch is specified, and a #HEADER# command in the input
attempts to change the setting, a message is output to the user's
terminal and the setting is not changed.
!
.p 0,,6
.x Optional>input segments
.x Text>optional
.x Text>conditional
/IN:&m:&n:...#-- Set the indicated text options for inclusion
.i +16 regardless of any INCLUDE or EXCLUDE commands
.i +16 for those options in the input file(s).  Up to
.i +16 five options can be specified.  (INclude) (3)
/EX:&m:&n:... -- Similar to the /IN switch above, except that the
.i +16 options are set for exclusion.  (EXclude) (3)
.footnote 4
.lm 5.f.p -5,1
(3)##If an IN or EX switch is specified, and an INCLUDE or EXCLUDE
command appears in the input for the same option number, a message is
output to the user's terminal and the command is ignored.
!
.p 0,,4
.x Chapter>heading
.x Appendix>heading
/BL:&n###-- Set the number of blank lines to be output before
.i +16 chapter, appendix and index headings, and the
.i +16 default vertical spacing for the EVEN and ODD
.i +16 commands (default is 7).  (Blank Lines)
.f
.lm 0.rm
.end option 2

.;ERRORS
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix RUNOFF ERROR MESSAGES
.x ~>ZA RUNOFF ERROR MESSAGES
.x Error messages
.x Messages

RUNOFF produces error messages on the user's terminal in the following
format:

.s.c RNO -- <error message>
.s

This appendix lists all the error messages produced by RUNOFF.  Most of
the error messages are self-explanatory.  In many cases, RUNOFF
indicates the output page in process at the time to help you locate the
cause of the error in the input file.

.lm 5
.p -5,2,5

RNO -- Attempt to override switch value on output page <number>

.p 0,1,1

This message warns that a LAYOUT or HEADER command in the input file
tried to change the value of a parameter set by a command-line switch.
The value is ^&not\& changed.

.p -5,2,4

RNO -- Bad parm.#in command "<command>" on output page <number>

.p 0,1,1

The indicated command contains a parameter which is invalid.  The
remainder of the command is ^&not\& processed.

.p -5,2,4

RNO -- Can't indent list element on output page <number>

.p 0,1,1

The user has nested lists that cause RUNOFF to attempt indenting beyond the
right margin.

.nf.lm -5
.p 0,2,6
RNO -- Can't justify line:
       <text>
       on output page <number>
.f.lm +5

.p 0,1,1

<text> is a line with no spaces (other than quoted spaces),
which RUNOFF is thus unable to justify.

.p -5,2,4

RNO -- Can't reduce margins for note on output page <number>

.p 0,1,1

A #NOTE# command occurred after the margins were set to values that
prevent the #NOTE# command from reducing them further.

.p -5,2,5

RNO -- Can't right justify line on output page <number>

.p 0,1,1

An attempt has been made to right justify some text which does not
fit on a line with text already present.  The text is output right
justified on the next line.

.p 0,1,1

If the page reference is missing, the same command failed
=because the text was too long to fit on one line.

.p -5,2,4

RNO -- Command syntax error

.p 0,1,1

The user has entered a command line in a format that does not
=conform to system syntax rules.

.p -5,2,8

RNO -- Error on input file

.p 0,1,1

A read error has occurred on an input file.  One of the follow=ing
conditions may exist:

.p ,,3
.list 0
.le The file is not a text file
.le The file is corrupted or the format is wrong.
.le A problem exists with a physical device (e.g., the device is cycled down).
.els 0

.p -5,2,8

RNO -- Error on output file

.p 0,1,1

A write error has occurred on the output file.  One of the =following
conditions may exist:

.p ,,3
.list 0
.le The user does not have write access privileges to the file.
.le The device is full or is write protected.
.le The hardware has failed.
.els 0

.p -5,2,4

RNO -- FATAL ERROR, Aborting

.p 0,1,1

This message is an internal program error and should never occur
under normal use.  (That is, if you get this error, you lose!)

.p -5,2,4,7,2

RNO -- Footnote long on output page <number>

.p 0,1,1

After output of the footnote(s) on the indicated page, the page was
longer than the current page length specification.  Either a FOOTNOTE
command underestimated the number of lines required for the footnote
text, or a FOOTNOTE reference occurred too low on the page for the
footnote to fit.

.p -5,2,4,6,2

RNO -- Footnote short on output page <number>

.p 0,1,1

After output of the footnote(s) on the indicated page, the page was
shorter than the current page length specification.  That is, a
=FOOTNOTE command overestimated the number of lines =required for the
footnote text.

.p -5,2,4

RNO -- Illegal command "<command>" on output page <number>

.p 0,1,1

The cited command is either unknown or is not acceptable in the
=existing context.

.p -5,2,10

RNO -- Input file open failure

.p 0,1,1

The file system has detected an error while attempting to open
an input file.  One of the following conditions may exist:

.p
.list 0
.le The file does not exist as specified.
.le The specified file directory does not exist.
.le The file is protected against reading.
.le The volume is not mounted.
.le A problem exists with the physical device.
.els 0

.p -5,2,3

RNO -- Input switch specification error

.p 0,1,1

An error exists in an input switch specification.

.p -5,2,4,7,2

RNO -- Internal buffer overflow

.p 0,1,1

An internal text buffer has overflowed.  The probable cause is
that the text argument for a TITLE, SUBTITLE, PAGE#NAME, CHAPTER,
=APPENDIX, or DO#INDEX command is longer than the maximum allowed
length.  When this error occurs, RUNOFF immediately stops
processing the input.

.p -5,2,4

RNO -- Invalid UL switch value

.p 0,1,1

An invalid value was supplied with a /UL switch on the command line.
"/UL:N" is assumed--that is, underlining is suppressed.

.p -5,2,5

RNO -- Long line in literal on output page <number>

.p 0,1,1

A line in the output has exceeded the right margin during processing
of a LITERAL section.  This is only a warning message; the long
line is not affected.

.p -5,2,4,8,2

RNO -- Not enough memory

.p 0,1,1

The buffer used for storage of the index, figures, footnotes and
blocks has been filled even though the task has expanded itself as
much as possible.  You must delete some INDEX entries (or reduce
their length) or reduce the amount of text pending at the point of
the error.  When this error occurs, RUNOFF immediately stops
=processing the input.

.p -5,2,5

RNO -- Option active at EOF

.p 0,1,1

The end of an input file was encountered while an optional section
was being skipped.  That is, there was no #ELSE# or #END#OPTION
=command for the last #OPTION# command processed.

.p -5,2,5

RNO -- Option setting ignored on output page <number>

.p 0,1,1

An #INCLUDE# or #EXCLUDE# command was encountered in the input file
which references an option set by a command-line switch.  This
=message is a warning that RUNOFF is ignoring the command.

.p -5,2,3

RNO -- Option switch error

.p 0,1,1

A value specified in an /IN or /EX switch is not valid.

.p -5,2,10

RNO -- Output file open failure

.p 0,1,1

The file system has detected an error while attempting to open the
output file.  One of the following conditions may exist:

.p
.list 0
.le The specified user file directory does not exist.
.le The user file directory is protected against opening.
.le The volume is not mounted.
.le The device is full or write protected.
.le A problem exists with the physical device.
.els 0

.p -5,2,3

RNO -- Output switch specification error

.p 0,1,1

An error exists in an output switch specification.

.lm 0

.;MARGIN
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix PAGE LAYOUT AND MARGIN CONTROL
.x ~>ZB PAGE LAYOUT AND MARGIN CONTROL
.x Margin>control
.x Margin>header
.x Margin>text
.period
.x Page>format
.x Page>header
.x Page>length
.x Format, page

There are several parameters which RUNOFF uses to control the layout of
the pages of the output document.  These parameters are set with the
=LAYOUT, PAGE#SIZE (or PAPER#SIZE), LEFT#MARGIN, RIGHT#MARGIN, STANDARD,
=HEADER and ALTERNATE commands.

.st Vertical Positioning
.hl 1 ^&VERTICAL POSITIONING\&
.x ~>ZB.1 Vertical Positioning
.x Vertical positioning
.y Positioning text
.x Positioning text>vertically

The following parameters are used to position the output on the page
vertically.

.s 2.lm +23
.i -23
Top margin##########-- The number of blank lines which are output at the top
of each text page.

.s

This parameter is set by the LAYOUT command.  The initial value is 0.

.x Length>header
.s.i -23
Header length#######-- Number of lines in page headers when they are =enabled.
That is, the number of lines from the title and page-number line down to the
first line of text.

.s

This parameter is set by the HEADER command.  The initial value is 5.

.x Length>page
.s.i -23
Page length#########-- Maximum number of print lines on each page, =including
the header lines but ^&not\& including the lines of the top margin.

.s

This parameter is set by either the LAYOUT or PAGE SIZE
commands.  The initial value is 56.

.lm
.st Horizontal Positioning
.hl 1 ^&HORIZONTAL POSITIONING\&
.x ~>ZB.1 Horizontal Positioning
.x Horizontal positioning
.x Positioning text>horizontally

The following parameters are used to position the output on the page
horizontally.

.lm +23
.p -23,2,2,6
Base margin#########-- The number of spaces to be output between the far-left
print position of the output device to the column which is to be logically
considered column 0 by RUNOFF.  That is, this parameter sets the base from
which all other margins (and tab stops) are =measured.

.s

This parameter is set by the LAYOUT command.  The initial value is 0.

.p -23,1,3
Alternating offset##-- Number of spaces to be inserted at the left side
of all lines of odd-numbered pages when pages are made to alternate
left/right.  That is, the base margin is increased by this amount on all
odd-numbered pages.

.s

This parameter is set by the ALTERNATE command.  The initial value is 0.

.x Width>page
.p -23,,2
Page width #########-- Number of spaces from the base margin to the
default right margin.  That is, the page width is used whenever a default
is needed for the right margin.  The initial value is 60.

.p 0,,3

This parameter is set by the LAYOUT and PAGE SIZE commands.  Whenever
this parameter is set, the header and text right margins are also set
(see below).

.p -23,,2
Header left margin #-- Number of spaces from the base margin to the left
edge of the header (e.g., the title).

.s

This parameter is set by the HEADER command.  The initial value is 0.

.x Width>header
.p ,,2
Header right margin -- Number of spaces from the base margin to the right
edge of the header (e.g., the page number).  The initial value is 60.

.s

This parameter is set by the HEADER command.  It is also set by the
STANDARD and PAGE SIZE commands, and when the page width is set by the
=LAYOUT command.

.p ,,2
Text left margin####-- Number of spaces from the base margin to the left
edge of the text.  The initial value is 0.

.s

This parameter is set by the LEFT MARGIN command.  It is also set
by the STANDARD command.  The left margin is temporarily changed by
the LIST and NOTE commands.

.x Width>text
.p ,,2
Text right margin###-- Number of spaces from the base margin to the right
edge of the text.  The initial value is 60.

.p 0,,2,7,3

This parameter is set by the RIGHT#MARGIN command.  It is
also set by the STANDARD and PAGE SIZE commands and when the
page width is set with the LAYOUT command.  The right margin
is tem=porarily changed by the NOTE command.  The right
margin is =ignored while a LITERAL section is being
=processed except that a warning message is output if the
right margin is exceeded.

.lm

.;CASE
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix CASE INFORMATION
.x ~>ZC CASE INFORMATION
.x Case information

For files prepared on a terminal incapable of inputing lowercase
characters, specification of case can be done with two special
characters:  circumflex (_^ [136 octal]), and backslash (_\ [134
octal]).  The appearance of a circumflex causes the letter immediately
following to be output in uppercase.  The appearance of a backslash
causes the letter immediately following to be converted to lowercase.
Any letter not preceded by one of these characters is output in the
current mode.  The mode is initially uppercase, and is changed by the
occurrence of two successive case control characters.  Two circumflexes
(_^_^) cause the mode to be set to uppercase, and two backslashes (_\_\)
cause the mode to be set to lowercase.

.s

The use of the above corresponds to the use of the shift and
shift-lock keys on a typewriter.  Usually, typing appears
in lowercase.  To type one letter in uppercase, the shift
key is used.  The shift-lock is set to type a series of
uppercase letters, after which it is released.

.s

The following shows the uses of the case control characters:

.s
.i 6,^^_^HERE IS A _^SAMPLE _^SENTENCE IN _^_^UPPERCASE_\_\ AND LOWERCASE.\\
.s
becomes:
.s
.i 6,^HERE IS A ^SAMPLE ^SENTENCE IN ^^UPPERCASE\\ AND LOWERCASE.
.uc
.note

Case conversion takes place only on ASCII codes 101 to 132 octal, that
is, the uppercase letters.  Any actual lowercase letters (codes 141 to
172 octal) appearing in the input will be transmitted unchanged.  If
the input is prepared on a de=vice which produce letters of the proper
case, the mode should be set to uppercase at the beginning of the file
(that is, the default setting) and left unchanged for the =remainder.

.end note

An additional special character, less-than (< [74 octal]), capitalizes
the =entire word it precedes.  It then returns the file to the current
case.  This character is not engaged unless the FLAGS#CAPITALIZE command
has been issued.

.;SPECIAL CHARS
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix SPECIAL CHARACTERS
.x ~>ZD SPECIAL CHARACTERS
.x Special characters

Below is a list of RUNOFF's special characters.  To appear in the output
text, each must be preceded by the quote character (itself a special
=character).

.lm +8
.s 2
.nf
.x Underbar character
.x #__  (quote character)
.x Quote character
##__	Quote a special character (1)

.footnote 3
.lm +5
.p -5,1
(1)##May be replaced by a user-selected character with the
QUOTE =CHARACTER command.
!

.x Circumflex character
.x Carat character
.x #_^  (shift character)
##_^	Shift character for uppercase; signal to begin
		underscoring (when followed by "_&")
         
.x Backslash character
.x #_\  (unlock character)
##_\	Shift character for lowercase; signal to end
		underscoring (when followed by "_&")

.x Number-sign character
.x #_#  (explicit-space character)
.x Quoted space
.x Explicit space
##_#	Quoted-space character

.x Ampersand character
.x #_&  (underscore character)
.x Underlining
##_&	Underscore (use "_^_&" and "_\_&" to start and stop
		continuous underscoring, respectively)

.x Equal-sign character
.x #_=  (hyphenation flag character)
.x Word>hyphenation
.x Hyphenation>disable/specification
.x Preferred hyphenation
##_=	Flag character for disabling/specifying hyphenation (2)

.footnote 2
.p
(2)##Only becomes a special character if FLAGS HYPHENATE is engaged.
!

.x Less-than character
.x #_<  (capitalization character)
.x Word>capitalization
.x Capitalize word
##_<	Flag character for uppercase (3)

.footnote 2
.p
(3)##Only becomes a special character if FLAGS CAPITALIZE is engaged.
!

.x Greater-than character
.x #_>  (subindex flag character)
.x Subindex>flag character
##_>	Flag character for subindexing (4)

.period
.footnote 4
.p
(4)##Only a special character if FLAGS#SUBINDEX is engaged (the initial
setting); and then, only a special character within ENTRY and INDEX
commands.
!

.f
.lm 0
.rm

.;INITIAL CONDITIONS
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix INITIAL PARAMETER AND MODE SETTINGS
.x ~>ZE INITIAL PARAMETER AND MODE SETTINGS
.x Default values
.x Initial settings
.x Values>default
.x Values>initial

The following list summarizes the conditions in effect when RUNOFF
=execution begins.

.lm +5
.s.nf

LAYOUT 0,56,0,60
PAGE SIZE 56,60
SPACING 1
LEFT MARGIN 0
RIGHT MARGIN 60
TAB STOPS 8,16,24,32,40,48,56,64,72,80,88,96,104,112,120,128,136

HEADER MIXED,5,0,60
no TITLE
no SUBTITLE
AUTOSUBTITLE 0
no PAGE NAME
NO ALTERNATE
NO ALTERNATING TITLE

NUMBER 1

FILL
JUSTIFY
NO AUTOPARAGRAPH
HYPHENATION
NO FLAGS HYPHENATE
FLAGS SUBINDEX
PERIOD
FOOTNOTE LINE 15,__
QUOTE CHARACTER __
UPPER CASE
NO FLAGS CAPITALIZE


.i -5 Initial default values for command parameters:

PARAGRAPH     indent _= 5, skip _= 1, test _= 2
HEADER LEVEL  level _= 1
LIST          skip _= 1
LIST ELEMENT  test _= 1

.nf.lm -5

.;LIST OF COMMANDS
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.appendix ALPHABETICAL LIST OF COMMANDS
.x ~>ZF ALPHABETICAL LIST OF COMMANDS
.x RUNOFF commands
.c (Although not noted here, many command arguments are optional.)
.s 2
.nf
^&Command__or__Abbreviation    Meaning__of__Abbrev.  Related__Command\&
.s
AL			   alternate
ALTERNATE <n> (AL)			       NO ALTERNATE
ALTERNATING TITLE (AT)			       NO ALTERNATING TITLE
AP			   autoparagraph
APPENDIX <text> (AX)			       NUMBER APPENDIX <letter>
AS			   autosubtitle
AT			   alternating title
AUTOPARAGRAPH (AP)			       NO AUTOPARAGRAPH
					       PARAGRAPH <n>,<v>,<t>
AUTOSUBTITLE <n> (AS)			       HEADER LEVEL <n>,<text>
AX			   appendix
.p 0,2,2
B			   blank
BLANK <n> (B)				       SKIP <n>
BLOCK <len>,<set>
BR			   break
BREAK (BR)
.p
C			   center
CENTER <n>,<text> (C)
CENTRE			   center
CH			   chapter
CHAPTER	<text> (CH)			       NUMBER CHAPTER <n>
COMMENT <text> (; or !)
.p
DO INDEX <text>	(DX)			       PRINT INDEX <number>
DX			   do index
.p ,,2,14
ELI			   end literal
ELS			   end list
ELSE <n>				       OPTION <n>
EN			   end note
END LIST <n> (ELS)			       LIST <n>
END LITERAL (ELI)			       LITERAL
END NOTE <n> (EN)			       NOTE <n>,<text>
END OPTION <n> (ENDO)			       OPTION <n>
END SUBPAGE				       SUBPAGE
ENDO			   end option
ENTRY <text> (Y)			       INDEX <text>
EVEN <n>,<text>
EX			   exclude
EXCLUDE <n> (EX)			       OPTION <n>
.p
F			   fill
FG			   figure
FIGURE <n>,<n>,<text> (FG)
FILL (F)				       NO FILL
.option 7
FIRST TITLE <text> (FT)			       TITLE <text>
.end option 7
FNL			   footnote line
FLAGS CAPITALIZE (FL CAPITALIZE)	       NO FLAGS CAPITALIZE
FLAGS HYPHENATE (FL HYPHENATE)		       HYPHENATION
FLAGS SUBINDEX (FL SUBINDEX)		       NO FLAGS SUBINDEX
FN			   footnote
FOOTNOTE <n> (FN)			       FOOTNOTE LINE <n>,<char>
FOOTNOTE LINE <n>,<char> (FNL)		       FOOTNOTE <n>
.option 7
FT			   first title
.end option 7
.p
HD			   header
HEADER <style>,<len>,<lm>,<rm> (HD)	       NO HEADER
###[<style> _= UPPER, LOWER, MIXED or BLANK]
HEADER LEVEL <n>,<text> (HL)
HL			   header level
HY			   hyphenation
HYPHENATION (HY)			       NO HYPHENATION (NHY)
.p
I			   indent
IN			   include
INCLUDE <n> (IN)			       OPTION <n>
INDENT <n>,<text> (I)
INDEX <text> (X)			       ENTRY <text>
.p
J			   justify
JUSTIFY	(J)				       NO JUSTIFY
.p ,,2,11
LAYOUT <top>,<len>,<left>,<right>	       LEFT/RIGHT MARGIN
LC			   lower case
LE			   list element
LEFT MARGIN <n>	(LM)			       CENTER
LIST <n> (LS)				       END LIST
LIST ELEMENT <n>,<text> (LE)		       LIST  and  END LIST
LIT			   literal
LITERAL	(LIT)				       END LITERAL
LM			   left margin
LOWER CASE (LC)				       UPPER CASE
LS			   list
.p
NAL			   no alternate
NAP			   no autoparagraph
NAT			   no alternating title
NF			   no fill
NFC			   no flags capitalize
NFH			   no flags hyphenate
NFL			   no flags
NFS			   no flags subindex
NHD			   no header
NHY			   no hyphenation
NJ			   no justify
NM			   number
NNM			   no number
NO ALTERNATE (NAL)			       ALTERNATE <n>
NO ALTERNATING TITLE (NAT)		       ALTERNATING TITLE
NO AUTOPARAGRAPH (NAP)			       AUTOPARAGRAPH
NO FILL	(NF)				       FILL
NO FLAGS (NFL)				       FLAGS CAPITALIZE
					       FLAGS HYPHENATE
NO FLAGS CAPITALIZE (NFC)		       FLAGS CAPITALIZE
NO FLAGS HYPHENATE (NFH)		       FLAGS HYPHENATE
NO FLAGS SUBINDEX (NFS)			       FLAGS SUBINDEX
NO HEADER (NHD)				       HEADER ...
NO HYPHENATION (NHY)			       HYPHENATION
NO JUSTIFY (NJ)				       JUSTIFY
NO NUMBER (NNM)				       NUMBER <n>
NO PERIOD (NPR)				       PERIOD
NOTE <n>,<text> (NT)			       END NOTE
NPR			   no period
NT			   note
NUMBER <n> (NM)				       NO NUMBER
NUMBER APPENDIX	<char>			       APPENDIX	<text>
NUMBER CHAPTER <n>			       CHAPTER <text>
.p
ODD <n>,<text>
OPT			   option
OPTION <n> (OPT)			       END OPTION <n>
.p ,,2,13
P			   paragraph
PAGE (PG)
PAGE NAME <text> (PN)
PAGE SIZE <v>,<h> (PS)	   		       LAYOUT ...
PAPER SIZE <v>,<h> (PS)
PARAGRAPH <h>,<v>,<t> (P)		       AUTOPARAGRAPH
PERIOD (PR)				       NO PERIOD
PG			   page
PN			   page name
PR			   period
PRINT INDEX <h>,<v> (PX)		       DO INDEX	<text>
PS			   page size
PX			   print index
.p
QC			   quote character
QUOTE CHARACTER <char> (QC)
.p
RIGHT JUSTIFY <n>,<text> (RJ)		       RIGHT MARGIN
RIGHT MARGIN <n> (RM)
RJ			   right justify
RM			   right margin
.p
S			   skip
SD			   standard
SK			   skip
SKIP <n> (S or SK)			       BLANK <n>
SP			   spacing
SPACING <n> (SP)
ST			   subtitle
STANDARD <n> (SD)
SUBPAGE					       END SUBPAGE
SUBTITLE <text> (ST or SUBTTL)
SUBTTL			   subtitle
.p
T			   title
TAB STOPS <n1>,<n2>, ... (TS)
TEST LINES <n1>,<n2>,<n3> (TL)		       TEST PAGE
TEST PAGE <n1>,<n2>,<n3> (TP)		       TEST LINES
TITLE <text> (T)
TL			   test lines
TP			   test page
TS			   tab stops
.p
UC			   upper case
UPPER CASE (UC)				       LOWER CASE
.s 2
X			   index
.s 2
Y			   entry
.f.lm 0.rm

.;INDEX
.t
.st
.option 4
.even (This page intentionally left blank.)
.end option 4
.no number
.odd INDEX
.number appendix J
.number 2
.x ~>ZI INDEX
.page name Index

.s 3

.; Following lines will cause blank lines at end of the real index

.y ZY>A>
.y ZY>B>
.y ZY>C>

.print index ,2

.; ***  END OF FILE  ***
